/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* *                                                                                                                 * */
/* * [VERSION 1.5]                                                                                                   * */
/* *                                                                                                                 * */
/* * INSTRUCTIONS FOR USE:                                                                                           * */
/* *                                                                                                                 * */
/* * This file contains the actual character definitions as well as some useful variables and macros to help you     * */
/* * incorporate them in scenes. Under normal circumstances you will not call the macros in this file directly, but  * */
/* * you may on occasion find it necessary.                                                                          * */
/* *                                                                                                                 * */
/* * Do not change any variables in this file.                                                                       * */
/* *                                                                                                                 * */
/* * The macros create characters that are one unit in depth in the z direction, from z = 0 to z = 1. The width and  * */
/* * height of the characters varies. In general, the bottom of the characters is at y = 0. However, some characters * */
/* * extend below y = 0. Similarly, the maximum height of most characters is y = 1, but the asterisk extends to y =  * */
/* * 1.075.                                                                                                          * */
/* *                                                                                                                 * */
/* * Useful macros included in this file:                                                                            * */
/* *                                                                                                                 * */
/* *    #macro ASCIIToIndex (ASCIIValue)                                                                             * */
/* *       Returns the index value of the character that matches the ASCII value "ASCIIValue," if there is a match.  * */
/* *       Returns -1 if the character is a SPACE or undefined.                                                      * */
/* *       Note that the "^" is used to represent a heart-shaped character and "\"" is used to represent a double-   * */
/* *       quote mark.                                                                                               * */
/* *                                                                                                                 * */
/* *    #macro MakeCharacter (IndexValue, Border)                                                                    * */
/* *       Creates an object called "Character."                                                                     * */
/* *       Sets the variable "BorderCharacterWidth [IndexValue]" equal to the width of the character.                * */
/* *                                                                                                                 * */
/* *    #macro Italicize ()                                                                                          * */
/* *       Italicizes a character.                                                                                   * */
/* *                                                                                                                 * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * INITIALIZE VARIABLES                                                                                            * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#declare StrokeWidth = .195;
#declare SW2 = StrokeWidth / 2;
#declare Height_Upper = 1;
#declare Height_Lower = .75;
#declare BorderCharacter = array [82]
#declare BorderCharacterWidth = array [82]
#declare BorderCharacterHeight_Top = array [82]
#declare BorderCharacterHeight_Bottom = array [82]

#declare Kerning = array [82] [82] {
   //          0      1      2      3      4      5      6      7      8      9     10     11     12     13     14     15     16     17     18     19     20     21     22     23     24     25     26     27     28     29     30     31     32     33     34     35     36     37     38     39     40     41     42     43     44     45     46     47     48     49     50     51     52     53     54     55     56     57     58     59     60     61     62     63     64     65     66     67     68     69     70     71     72     73     74     75     76     77     78     79     80     81
   /* 0*/ {0.000, 0.000, 0.147, 0.000, 0.000, 0.000, 0.150, 0.000, 0.000, 0.096, 0.000, 0.000, 0.000, 0.000, 0.148, 0.000, 0.148, 0.000, 0.108, 0.293, 0.120, 0.364, 0.287, 0.000, 0.364, 0.000, 0.070, 0.000, 0.112, 0.112, 0.112, 0.088, 0.112, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.112, 0.000, 0.112, 0.000, 0.086, 0.152, 0.102, 0.273, 0.215, 0.000, 0.273, 0.000, 0.099, 0.205, 0.000, 0.094, 0.087, 0.098, 0.103, 0.152, 0.094, 0.216, 0.000, 0.000, 0.000, 0.000, 0.101, 0.243, 0.243, 0.000, 0.235, 0.000, 0.044, 0.127, 0.000, 0.205, 0.147, 0.087, 0.140, 0.085, 0.277, 0.224},
   /* 1*/ {0.096, 0.000, 0.019, 0.000, 0.000, 0.000, 0.020, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.020, 0.000, 0.020, 0.000, 0.001, 0.053, 0.005, 0.124, 0.109, 0.156, 0.174, 0.025, 0.007, 0.000, 0.002, 0.002, 0.002, 0.040, 0.002, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.002, 0.000, 0.002, 0.000, 0.006, 0.040, 0.000, 0.041, 0.041, 0.041, 0.041, 0.025, 0.000, 0.040, 0.038, 0.001, 0.000, 0.002, 0.001, 0.053, 0.000, 0.044, 0.025, 0.025, 0.025, 0.025, 0.000, 0.047, 0.047, 0.020, 0.041, 0.079, 0.000, 0.134, 0.000, 0.053, 0.011, 0.000, 0.040, 0.000, 0.047, 0.040},
   /* 2*/ {0.102, 0.000, 0.046, 0.000, 0.000, 0.000, 0.051, 0.000, 0.000, 0.002, 0.000, 0.000, 0.000, 0.000, 0.048, 0.000, 0.048, 0.000, 0.008, 0.049, 0.018, 0.109, 0.090, 0.190, 0.185, 0.048, 0.005, 0.000, 0.012, 0.012, 0.012, 0.064, 0.012, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.012, 0.000, 0.012, 0.000, 0.012, 0.064, 0.005, 0.064, 0.064, 0.064, 0.064, 0.048, 0.004, 0.059, 0.054, 0.002, 0.000, 0.001, 0.006, 0.049, 0.002, 0.041, 0.048, 0.048, 0.048, 0.048, 0.000, 0.027, 0.027, 0.023, 0.033, 0.081, 0.001, 0.118, 0.000, 0.049, 0.203, 0.000, 0.023, 0.000, 0.034, 0.027},
   /* 3*/ {0.148, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.018, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.025, 0.098, 0.000, 0.148, 0.122, 0.239, 0.234, 0.098, 0.027, 0.000, 0.009, 0.009, 0.009, 0.005, 0.009, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.009, 0.000, 0.009, 0.000, 0.021, 0.007, 0.000, 0.057, 0.050, 0.063, 0.057, 0.003, 0.000, 0.004, 0.046, 0.040, 0.004, 0.014, 0.012, 0.098, 0.020, 0.014, 0.098, 0.098, 0.003, 0.003, 0.001, 0.034, 0.034, 0.011, 0.020, 0.122, 0.009, 0.145, 0.000, 0.098, 0.000, 0.004, 0.032, 0.005, 0.071, 0.021},
   /* 4*/ {0.000, 0.000, 0.030, 0.000, 0.000, 0.000, 0.030, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.030, 0.000, 0.030, 0.000, 0.041, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.033, 0.033, 0.033, 0.030, 0.033, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.033, 0.000, 0.033, 0.000, 0.015, 0.030, 0.030, 0.078, 0.068, 0.000, 0.078, 0.000, 0.029, 0.030, 0.000, 0.024, 0.030, 0.029, 0.034, 0.000, 0.024, 0.032, 0.000, 0.000, 0.000, 0.000, 0.030, 0.000, 0.000, 0.000, 0.024, 0.000, 0.007, 0.001, 0.000, 0.000, 0.030, 0.030, 0.001, 0.030, 0.007, 0.012},
   /* 5*/ {0.234, 0.000, 0.080, 0.000, 0.000, 0.000, 0.080, 0.000, 0.000, 0.445, 0.000, 0.000, 0.000, 0.000, 0.080, 0.000, 0.080, 0.000, 0.047, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.107, 0.000, 0.083, 0.083, 0.083, 0.080, 0.083, 0.000, 0.000, 0.135, 0.000, 0.000, 0.080, 0.080, 0.083, 0.080, 0.083, 0.080, 0.101, 0.080, 0.080, 0.128, 0.118, 0.176, 0.128, 0.080, 0.029, 0.080, 0.053, 0.046, 0.080, 0.078, 0.086, 0.000, 0.046, 0.034, 0.445, 0.445, 0.080, 0.080, 0.080, 0.000, 0.000, 0.000, 0.024, 0.201, 0.084, 0.001, 0.000, 0.000, 0.080, 0.080, 0.001, 0.080, 0.007, 0.012},
   /* 6*/ {0.056, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.019, 0.000, 0.084, 0.070, 0.112, 0.144, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.088, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.086, 0.000, 0.069, 0.054, 0.104, 0.069, 0.000, 0.000, 0.109, 0.003, 0.000, 0.000, 0.000, 0.000, 0.019, 0.000, 0.013, 0.000, 0.000, 0.000, 0.000, 0.000, 0.019, 0.019, 0.000, 0.050, 0.044, 0.000, 0.094, 0.000, 0.019, 0.000, 0.000, 0.022, 0.000, 0.031, 0.022},
   /* 7*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /* 8*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /* 9*/ {0.096, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.007, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.006, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.027, 0.001, 0.000, 0.002, 0.000, 0.000, 0.000, 0.000, 0.025, 0.025, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.079, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*10*/ {0.000, 0.000, 0.226, 0.000, 0.000, 0.000, 0.234, 0.000, 0.000, 0.150, 0.000, 0.000, 0.000, 0.000, 0.229, 0.000, 0.229, 0.000, 0.171, 0.019, 0.019, 0.019, 0.019, 0.000, 0.019, 0.000, 0.110, 0.000, 0.176, 0.176, 0.176, 0.088, 0.176, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.176, 0.000, 0.176, 0.000, 0.138, 0.189, 0.159, 0.269, 0.215, 0.000, 0.269, 0.000, 0.155, 0.235, 0.000, 0.148, 0.162, 0.135, 0.162, 0.019, 0.148, 0.222, 0.000, 0.000, 0.000, 0.000, 0.187, 0.019, 0.019, 0.000, 0.204, 0.000, 0.044, 0.018, 0.000, 0.019, 0.272, 0.162, 0.140, 0.085, 0.122, 0.175},
   /*11*/ {0.000, 0.000, 0.094, 0.000, 0.000, 0.000, 0.104, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.098, 0.000, 0.098, 0.000, 0.041, 0.292, 0.057, 0.293, 0.231, 0.000, 0.399, 0.000, 0.003, 0.000, 0.046, 0.046, 0.046, 0.088, 0.046, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.087, 0.032, 0.202, 0.159, 0.000, 0.202, 0.000, 0.029, 0.235, 0.000, 0.024, 0.349, 0.029, 0.034, 0.152, 0.024, 0.265, 0.000, 0.000, 0.000, 0.000, 0.445, 0.445, 0.445, 0.000, 0.255, 0.000, 0.007, 0.127, 0.000, 0.205, 0.445, 0.445, 0.140, 0.085, 0.445, 0.242},
   /*12*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*13*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*14*/ {0.148, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.018, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.025, 0.098, 0.000, 0.148, 0.122, 0.239, 0.234, 0.098, 0.027, 0.000, 0.009, 0.009, 0.009, 0.005, 0.009, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.009, 0.000, 0.009, 0.000, 0.021, 0.007, 0.000, 0.057, 0.050, 0.063, 0.057, 0.003, 0.000, 0.004, 0.046, 0.040, 0.004, 0.014, 0.012, 0.098, 0.020, 0.014, 0.098, 0.098, 0.003, 0.003, 0.001, 0.034, 0.034, 0.011, 0.020, 0.122, 0.009, 0.145, 0.000, 0.098, 0.000, 0.004, 0.032, 0.005, 0.071, 0.021},
   /*15*/ {0.227, 0.000, 0.019, 0.000, 0.000, 0.000, 0.020, 0.000, 0.000, 0.285, 0.000, 0.000, 0.000, 0.000, 0.020, 0.000, 0.020, 0.000, 0.033, 0.025, 0.000, 0.096, 0.079, 0.156, 0.153, 0.025, 0.057, 0.000, 0.071, 0.071, 0.071, 0.000, 0.071, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.071, 0.000, 0.071, 0.000, 0.046, 0.000, 0.000, 0.008, 0.008, 0.008, 0.008, 0.000, 0.000, 0.000, 0.027, 0.036, 0.102, 0.048, 0.057, 0.025, 0.034, 0.001, 0.504, 0.504, 0.000, 0.000, 0.078, 0.012, 0.012, 0.001, 0.000, 0.182, 0.043, 0.106, 0.000, 0.025, 0.011, 0.000, 0.001, 0.000, 0.017, 0.000},
   /*16*/ {0.021, 0.000, 0.021, 0.000, 0.000, 0.000, 0.021, 0.000, 0.000, 0.039, 0.000, 0.000, 0.000, 0.000, 0.021, 0.000, 0.021, 0.000, 0.046, 0.119, 0.021, 0.169, 0.143, 0.021, 0.255, 0.000, 0.017, 0.000, 0.030, 0.030, 0.030, 0.026, 0.030, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.030, 0.000, 0.030, 0.000, 0.039, 0.028, 0.021, 0.078, 0.071, 0.021, 0.078, 0.000, 0.021, 0.025, 0.002, 0.049, 0.025, 0.035, 0.033, 0.119, 0.041, 0.035, 0.000, 0.000, 0.000, 0.000, 0.022, 0.055, 0.055, 0.000, 0.041, 0.021, 0.013, 0.143, 0.000, 0.119, 0.021, 0.025, 0.053, 0.025, 0.092, 0.042},
   /*17*/ {0.000, 0.000, 0.118, 0.000, 0.000, 0.000, 0.120, 0.000, 0.000, 0.153, 0.000, 0.000, 0.000, 0.000, 0.119, 0.000, 0.119, 0.000, 0.132, 0.124, 0.099, 0.195, 0.178, 0.000, 0.252, 0.000, 0.113, 0.000, 0.171, 0.171, 0.171, 0.088, 0.171, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.171, 0.000, 0.171, 0.000, 0.141, 0.099, 0.099, 0.107, 0.107, 0.000, 0.107, 0.000, 0.099, 0.099, 0.000, 0.135, 0.168, 0.147, 0.156, 0.124, 0.133, 0.100, 0.000, 0.000, 0.000, 0.000, 0.177, 0.111, 0.111, 0.000, 0.099, 0.000, 0.044, 0.127, 0.000, 0.124, 0.111, 0.099, 0.101, 0.085, 0.116, 0.099},
   /*18*/ {0.089, 0.000, 0.027, 0.000, 0.000, 0.000, 0.028, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.027, 0.000, 0.027, 0.000, 0.003, 0.066, 0.009, 0.136, 0.119, 0.149, 0.194, 0.018, 0.003, 0.000, 0.005, 0.005, 0.005, 0.042, 0.005, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.005, 0.000, 0.005, 0.000, 0.002, 0.042, 0.002, 0.048, 0.048, 0.048, 0.048, 0.018, 0.001, 0.042, 0.031, 0.000, 0.000, 0.000, 0.002, 0.066, 0.000, 0.044, 0.018, 0.018, 0.018, 0.018, 0.000, 0.053, 0.053, 0.018, 0.042, 0.073, 0.000, 0.146, 0.000, 0.066, 0.024, 0.000, 0.043, 0.000, 0.057, 0.042},
   /*19*/ {0.293, 0.000, 0.095, 0.000, 0.000, 0.000, 0.104, 0.000, 0.000, 0.292, 0.000, 0.000, 0.000, 0.000, 0.098, 0.000, 0.098, 0.000, 0.047, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.293, 0.000, 0.292, 0.292, 0.292, 0.089, 0.292, 0.000, 0.000, 0.135, 0.000, 0.000, 0.292, 0.292, 0.292, 0.292, 0.292, 0.292, 0.293, 0.086, 0.292, 0.293, 0.293, 0.293, 0.293, 0.292, 0.029, 0.100, 0.053, 0.046, 0.259, 0.078, 0.120, 0.000, 0.046, 0.034, 0.292, 0.292, 0.292, 0.292, 0.292, 0.000, 0.000, 0.000, 0.024, 0.231, 0.102, 0.001, 0.000, 0.000, 0.292, 0.292, 0.001, 0.250, 0.007, 0.012},
   /*20*/ {0.120, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.002, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.005, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.022, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.021, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.027, 0.013, 0.000, 0.013, 0.002, 0.000, 0.005, 0.000, 0.057, 0.057, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.099, 0.002, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*21*/ {0.364, 0.000, 0.147, 0.000, 0.000, 0.000, 0.150, 0.000, 0.000, 0.232, 0.000, 0.000, 0.000, 0.000, 0.148, 0.000, 0.148, 0.000, 0.118, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.193, 0.000, 0.203, 0.203, 0.203, 0.091, 0.203, 0.000, 0.000, 0.135, 0.000, 0.000, 0.091, 0.091, 0.203, 0.091, 0.203, 0.091, 0.182, 0.091, 0.091, 0.091, 0.091, 0.091, 0.091, 0.091, 0.099, 0.093, 0.123, 0.117, 0.206, 0.116, 0.189, 0.000, 0.117, 0.103, 0.293, 0.293, 0.091, 0.091, 0.192, 0.000, 0.000, 0.000, 0.094, 0.287, 0.170, 0.001, 0.000, 0.000, 0.146, 0.087, 0.065, 0.086, 0.072, 0.082},
   /*22*/ {0.287, 0.000, 0.121, 0.000, 0.000, 0.000, 0.123, 0.000, 0.000, 0.183, 0.000, 0.000, 0.000, 0.000, 0.122, 0.000, 0.122, 0.000, 0.102, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.160, 0.000, 0.164, 0.164, 0.164, 0.072, 0.164, 0.000, 0.000, 0.135, 0.000, 0.000, 0.072, 0.072, 0.164, 0.072, 0.164, 0.072, 0.150, 0.072, 0.072, 0.072, 0.072, 0.072, 0.072, 0.072, 0.081, 0.073, 0.106, 0.102, 0.162, 0.116, 0.161, 0.000, 0.102, 0.085, 0.231, 0.231, 0.072, 0.072, 0.151, 0.000, 0.000, 0.000, 0.078, 0.287, 0.146, 0.001, 0.000, 0.000, 0.115, 0.069, 0.054, 0.068, 0.062, 0.068},
   /*23*/ {0.000, 0.000, 0.236, 0.000, 0.000, 0.000, 0.245, 0.000, 0.000, 0.157, 0.000, 0.000, 0.000, 0.000, 0.239, 0.000, 0.239, 0.000, 0.174, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.116, 0.000, 0.184, 0.184, 0.184, 0.088, 0.184, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.184, 0.000, 0.184, 0.000, 0.145, 0.168, 0.167, 0.182, 0.182, 0.000, 0.182, 0.000, 0.162, 0.185, 0.000, 0.154, 0.175, 0.116, 0.169, 0.000, 0.154, 0.169, 0.000, 0.000, 0.000, 0.000, 0.202, 0.000, 0.000, 0.000, 0.154, 0.000, 0.044, 0.001, 0.000, 0.000, 0.292, 0.174, 0.107, 0.085, 0.089, 0.131},
   /*24*/ {0.364, 0.000, 0.231, 0.000, 0.000, 0.000, 0.240, 0.000, 0.000, 0.399, 0.000, 0.000, 0.000, 0.000, 0.234, 0.000, 0.234, 0.000, 0.171, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.324, 0.000, 0.355, 0.355, 0.355, 0.175, 0.355, 0.000, 0.000, 0.135, 0.000, 0.000, 0.175, 0.175, 0.355, 0.175, 0.355, 0.175, 0.310, 0.165, 0.175, 0.175, 0.175, 0.175, 0.175, 0.175, 0.158, 0.178, 0.181, 0.168, 0.396, 0.116, 0.208, 0.000, 0.168, 0.165, 0.399, 0.399, 0.175, 0.175, 0.369, 0.000, 0.000, 0.000, 0.151, 0.287, 0.210, 0.001, 0.000, 0.000, 0.282, 0.168, 0.104, 0.165, 0.088, 0.128},
   /*25*/ {0.000, 0.000, 0.094, 0.000, 0.000, 0.000, 0.104, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.098, 0.000, 0.098, 0.000, 0.041, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.046, 0.046, 0.046, 0.045, 0.046, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.045, 0.032, 0.045, 0.045, 0.000, 0.045, 0.000, 0.029, 0.049, 0.000, 0.024, 0.259, 0.029, 0.034, 0.000, 0.024, 0.034, 0.000, 0.000, 0.000, 0.000, 0.272, 0.000, 0.000, 0.000, 0.024, 0.000, 0.007, 0.001, 0.000, 0.000, 0.169, 0.037, 0.001, 0.033, 0.007, 0.012},
   /*26*/ {0.000, 0.000, 0.042, 0.000, 0.000, 0.000, 0.042, 0.000, 0.000, 0.042, 0.000, 0.000, 0.000, 0.000, 0.042, 0.000, 0.042, 0.000, 0.042, 0.293, 0.042, 0.210, 0.177, 0.000, 0.341, 0.000, 0.042, 0.000, 0.042, 0.042, 0.042, 0.055, 0.042, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.042, 0.000, 0.042, 0.000, 0.042, 0.059, 0.042, 0.119, 0.105, 0.000, 0.119, 0.000, 0.042, 0.052, 0.000, 0.043, 0.042, 0.042, 0.042, 0.152, 0.042, 0.064, 0.000, 0.000, 0.000, 0.000, 0.042, 0.090, 0.090, 0.000, 0.092, 0.000, 0.042, 0.127, 0.000, 0.205, 0.042, 0.042, 0.099, 0.042, 0.124, 0.072},
   /*27*/ {0.112, 0.000, 0.008, 0.000, 0.000, 0.000, 0.009, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.009, 0.000, 0.009, 0.000, 0.002, 0.293, 0.000, 0.203, 0.164, 0.184, 0.355, 0.046, 0.017, 0.000, 0.000, 0.000, 0.000, 0.058, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.019, 0.064, 0.000, 0.112, 0.092, 0.184, 0.112, 0.046, 0.000, 0.051, 0.057, 0.008, 0.000, 0.011, 0.001, 0.212, 0.003, 0.057, 0.046, 0.046, 0.046, 0.046, 0.000, 0.100, 0.100, 0.017, 0.114, 0.092, 0.001, 0.161, 0.000, 0.205, 0.001, 0.000, 0.109, 0.000, 0.128, 0.063},
   /*28*/ {0.079, 0.000, 0.001, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.017, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.001, 0.000, 0.030, 0.293, 0.000, 0.170, 0.134, 0.149, 0.320, 0.011, 0.001, 0.000, 0.035, 0.035, 0.035, 0.022, 0.035, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.035, 0.000, 0.035, 0.000, 0.008, 0.029, 0.000, 0.079, 0.062, 0.149, 0.079, 0.011, 0.000, 0.016, 0.022, 0.016, 0.051, 0.020, 0.025, 0.186, 0.016, 0.022, 0.011, 0.011, 0.011, 0.011, 0.131, 0.064, 0.064, 0.010, 0.079, 0.062, 0.005, 0.147, 0.000, 0.205, 0.000, 0.017, 0.074, 0.019, 0.093, 0.030},
   /*29*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*30*/ {0.114, 0.000, 0.008, 0.000, 0.000, 0.000, 0.009, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.009, 0.000, 0.009, 0.000, 0.002, 0.293, 0.000, 0.203, 0.164, 0.184, 0.355, 0.046, 0.017, 0.000, 0.000, 0.000, 0.000, 0.058, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.038, 0.064, 0.000, 0.112, 0.092, 0.184, 0.112, 0.046, 0.000, 0.051, 0.058, 0.008, 0.000, 0.011, 0.001, 0.212, 0.003, 0.057, 0.046, 0.046, 0.046, 0.046, 0.000, 0.100, 0.100, 0.017, 0.114, 0.092, 0.001, 0.161, 0.000, 0.205, 0.001, 0.000, 0.109, 0.000, 0.128, 0.063},
   /*31*/ {0.185, 0.000, 0.073, 0.000, 0.000, 0.000, 0.074, 0.000, 0.000, 0.185, 0.000, 0.000, 0.000, 0.000, 0.073, 0.000, 0.073, 0.000, 0.081, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.107, 0.000, 0.126, 0.126, 0.126, 0.068, 0.126, 0.000, 0.000, 0.135, 0.000, 0.000, 0.068, 0.068, 0.126, 0.068, 0.126, 0.068, 0.096, 0.068, 0.068, 0.068, 0.068, 0.068, 0.068, 0.068, 0.063, 0.068, 0.087, 0.081, 0.166, 0.101, 0.108, 0.000, 0.081, 0.068, 0.185, 0.185, 0.068, 0.068, 0.185, 0.000, 0.000, 0.000, 0.058, 0.185, 0.095, 0.001, 0.000, 0.000, 0.068, 0.068, 0.035, 0.068, 0.041, 0.046},
   /*32*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.293, 0.000, 0.091, 0.072, 0.000, 0.175, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.073, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.152, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.006, 0.006, 0.000, 0.000, 0.000, 0.000, 0.099, 0.000, 0.039, 0.000, 0.000, 0.000, 0.000, 0.065, 0.000},
   /*33*/ {0.000, 0.000, 0.005, 0.000, 0.000, 0.000, 0.005, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.005, 0.000, 0.005, 0.000, 0.000, 0.293, 0.000, 0.193, 0.155, 0.000, 0.338, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.043, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.048, 0.000, 0.102, 0.084, 0.000, 0.102, 0.000, 0.000, 0.037, 0.000, 0.000, 0.000, 0.000, 0.000, 0.152, 0.000, 0.045, 0.000, 0.000, 0.000, 0.000, 0.000, 0.083, 0.083, 0.000, 0.094, 0.000, 0.000, 0.127, 0.000, 0.205, 0.000, 0.000, 0.092, 0.000, 0.113, 0.053},
   /*34*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.002, 0.000},
   /*35*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.035, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.002, 0.000},
   /*36*/ {0.000, 0.000, 0.080, 0.000, 0.000, 0.000, 0.086, 0.000, 0.000, 0.150, 0.000, 0.000, 0.000, 0.000, 0.082, 0.000, 0.082, 0.000, 0.054, 0.293, 0.019, 0.110, 0.091, 0.000, 0.194, 0.000, 0.110, 0.000, 0.176, 0.176, 0.176, 0.019, 0.176, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.176, 0.000, 0.176, 0.000, 0.138, 0.019, 0.019, 0.019, 0.019, 0.000, 0.019, 0.000, 0.029, 0.024, 0.000, 0.054, 0.162, 0.086, 0.118, 0.152, 0.054, 0.033, 0.000, 0.000, 0.000, 0.000, 0.187, 0.025, 0.025, 0.000, 0.026, 0.000, 0.044, 0.119, 0.000, 0.205, 0.172, 0.019, 0.019, 0.019, 0.155, 0.021},
   /*37*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*38*/ {0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.002, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.002, 0.000, 0.002, 0.000, 0.000, 0.292, 0.000, 0.181, 0.146, 0.000, 0.319, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.027, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.032, 0.000, 0.090, 0.074, 0.000, 0.090, 0.000, 0.000, 0.023, 0.000, 0.000, 0.000, 0.000, 0.000, 0.152, 0.000, 0.033, 0.000, 0.000, 0.000, 0.000, 0.000, 0.065, 0.065, 0.000, 0.072, 0.000, 0.000, 0.127, 0.000, 0.205, 0.000, 0.000, 0.074, 0.000, 0.096, 0.041},
   /*39*/ {0.000, 0.000, 0.005, 0.000, 0.000, 0.000, 0.005, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.005, 0.000, 0.005, 0.000, 0.000, 0.293, 0.000, 0.193, 0.155, 0.000, 0.338, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.043, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.048, 0.000, 0.102, 0.084, 0.000, 0.102, 0.000, 0.000, 0.037, 0.000, 0.000, 0.000, 0.000, 0.000, 0.152, 0.000, 0.045, 0.000, 0.000, 0.000, 0.000, 0.000, 0.083, 0.083, 0.000, 0.094, 0.000, 0.000, 0.127, 0.000, 0.205, 0.000, 0.000, 0.092, 0.000, 0.113, 0.053},
   /*40*/ {0.112, 0.000, 0.008, 0.000, 0.000, 0.000, 0.009, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.009, 0.000, 0.009, 0.000, 0.002, 0.293, 0.000, 0.203, 0.164, 0.184, 0.355, 0.046, 0.017, 0.000, 0.000, 0.000, 0.000, 0.058, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.019, 0.064, 0.000, 0.112, 0.092, 0.184, 0.112, 0.046, 0.000, 0.051, 0.057, 0.008, 0.000, 0.011, 0.001, 0.212, 0.003, 0.057, 0.046, 0.046, 0.046, 0.046, 0.000, 0.100, 0.100, 0.017, 0.114, 0.092, 0.001, 0.161, 0.000, 0.205, 0.001, 0.000, 0.109, 0.000, 0.128, 0.063},
   /*41*/ {0.112, 0.000, 0.008, 0.000, 0.000, 0.000, 0.009, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.009, 0.000, 0.009, 0.000, 0.002, 0.293, 0.000, 0.203, 0.164, 0.184, 0.355, 0.046, 0.017, 0.000, 0.000, 0.000, 0.000, 0.058, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.019, 0.064, 0.000, 0.112, 0.092, 0.184, 0.112, 0.046, 0.000, 0.051, 0.057, 0.008, 0.000, 0.011, 0.001, 0.212, 0.003, 0.057, 0.046, 0.046, 0.046, 0.046, 0.000, 0.100, 0.100, 0.017, 0.114, 0.092, 0.001, 0.161, 0.000, 0.205, 0.001, 0.000, 0.109, 0.000, 0.128, 0.063},
   /*42*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.293, 0.000, 0.091, 0.072, 0.000, 0.175, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.152, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.006, 0.006, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.065, 0.000},
   /*43*/ {0.248, 0.000, 0.049, 0.000, 0.000, 0.000, 0.052, 0.000, 0.000, 0.248, 0.000, 0.000, 0.000, 0.000, 0.050, 0.000, 0.050, 0.000, 0.033, 0.293, 0.000, 0.098, 0.077, 0.195, 0.188, 0.248, 0.096, 0.000, 0.107, 0.107, 0.107, 0.000, 0.107, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.107, 0.000, 0.107, 0.000, 0.085, 0.000, 0.000, 0.007, 0.005, 0.013, 0.007, 0.000, 0.006, 0.000, 0.031, 0.033, 0.141, 0.064, 0.091, 0.354, 0.033, 0.009, 0.248, 0.248, 0.000, 0.000, 0.246, 0.008, 0.008, 0.000, 0.004, 0.210, 0.072, 0.105, 0.000, 0.205, 0.049, 0.000, 0.000, 0.000, 0.118, 0.000},
   /*44*/ {0.073, 0.000, 0.020, 0.000, 0.000, 0.000, 0.020, 0.000, 0.000, 0.006, 0.000, 0.000, 0.000, 0.000, 0.020, 0.000, 0.020, 0.000, 0.012, 0.293, 0.020, 0.190, 0.156, 0.122, 0.326, 0.004, 0.000, 0.000, 0.016, 0.016, 0.016, 0.036, 0.016, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.016, 0.000, 0.016, 0.000, 0.001, 0.040, 0.009, 0.099, 0.085, 0.122, 0.099, 0.004, 0.008, 0.032, 0.017, 0.005, 0.000, 0.005, 0.010, 0.186, 0.005, 0.044, 0.004, 0.004, 0.004, 0.004, 0.003, 0.072, 0.072, 0.004, 0.079, 0.060, 0.002, 0.159, 0.000, 0.205, 0.020, 0.000, 0.082, 0.000, 0.105, 0.052},
   /*45*/ {0.000, 0.000, 0.032, 0.000, 0.000, 0.000, 0.033, 0.000, 0.000, 0.060, 0.000, 0.000, 0.000, 0.000, 0.033, 0.000, 0.033, 0.000, 0.058, 0.135, 0.026, 0.117, 0.097, 0.000, 0.135, 0.000, 0.038, 0.000, 0.080, 0.080, 0.080, 0.026, 0.080, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.080, 0.000, 0.080, 0.000, 0.049, 0.026, 0.026, 0.026, 0.026, 0.000, 0.026, 0.000, 0.026, 0.026, 0.000, 0.058, 0.130, 0.061, 0.068, 0.135, 0.058, 0.026, 0.000, 0.000, 0.000, 0.000, 0.135, 0.032, 0.032, 0.000, 0.026, 0.000, 0.038, 0.125, 0.000, 0.135, 0.026, 0.026, 0.026, 0.026, 0.091, 0.025},
   /*46*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.293, 0.000, 0.091, 0.072, 0.000, 0.175, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.152, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.006, 0.006, 0.000, 0.000, 0.000, 0.000, 0.099, 0.000, 0.205, 0.000, 0.000, 0.000, 0.000, 0.065, 0.000},
   /*47*/ {0.273, 0.000, 0.056, 0.000, 0.000, 0.000, 0.059, 0.000, 0.000, 0.141, 0.000, 0.000, 0.000, 0.000, 0.057, 0.000, 0.057, 0.000, 0.034, 0.293, 0.000, 0.091, 0.072, 0.182, 0.175, 0.202, 0.102, 0.000, 0.112, 0.112, 0.112, 0.000, 0.112, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.112, 0.000, 0.112, 0.000, 0.091, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.010, 0.002, 0.035, 0.034, 0.115, 0.067, 0.098, 0.359, 0.034, 0.013, 0.202, 0.202, 0.000, 0.000, 0.101, 0.006, 0.006, 0.000, 0.007, 0.215, 0.079, 0.099, 0.000, 0.205, 0.056, 0.000, 0.000, 0.000, 0.125, 0.002},
   /*48*/ {0.215, 0.000, 0.050, 0.000, 0.000, 0.000, 0.052, 0.000, 0.000, 0.111, 0.000, 0.000, 0.000, 0.000, 0.050, 0.000, 0.050, 0.000, 0.034, 0.293, 0.000, 0.091, 0.072, 0.182, 0.175, 0.159, 0.089, 0.000, 0.092, 0.092, 0.092, 0.000, 0.092, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.092, 0.000, 0.092, 0.000, 0.079, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.010, 0.001, 0.035, 0.034, 0.090, 0.067, 0.090, 0.334, 0.034, 0.013, 0.159, 0.159, 0.000, 0.000, 0.080, 0.006, 0.006, 0.000, 0.007, 0.215, 0.074, 0.099, 0.000, 0.205, 0.044, 0.000, 0.000, 0.000, 0.112, 0.002},
   /*49*/ {0.000, 0.000, 0.061, 0.000, 0.000, 0.000, 0.067, 0.000, 0.000, 0.157, 0.000, 0.000, 0.000, 0.000, 0.063, 0.000, 0.063, 0.000, 0.034, 0.293, 0.000, 0.091, 0.072, 0.000, 0.175, 0.000, 0.116, 0.000, 0.184, 0.184, 0.184, 0.000, 0.184, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.184, 0.000, 0.184, 0.000, 0.138, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.010, 0.003, 0.000, 0.034, 0.175, 0.067, 0.098, 0.152, 0.034, 0.013, 0.000, 0.000, 0.000, 0.000, 0.202, 0.006, 0.006, 0.000, 0.007, 0.000, 0.044, 0.099, 0.000, 0.205, 0.111, 0.000, 0.000, 0.000, 0.136, 0.002},
   /*50*/ {0.273, 0.000, 0.056, 0.000, 0.000, 0.000, 0.059, 0.000, 0.000, 0.141, 0.000, 0.000, 0.000, 0.000, 0.057, 0.000, 0.057, 0.000, 0.034, 0.293, 0.000, 0.091, 0.072, 0.182, 0.175, 0.202, 0.102, 0.000, 0.112, 0.112, 0.112, 0.000, 0.112, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.112, 0.000, 0.112, 0.000, 0.091, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.010, 0.002, 0.035, 0.034, 0.115, 0.067, 0.098, 0.359, 0.034, 0.013, 0.202, 0.202, 0.000, 0.000, 0.101, 0.006, 0.006, 0.000, 0.007, 0.215, 0.079, 0.099, 0.000, 0.205, 0.056, 0.000, 0.000, 0.000, 0.125, 0.002},
   /*51*/ {0.000, 0.000, 0.003, 0.000, 0.000, 0.000, 0.003, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.003, 0.000, 0.032, 0.293, 0.000, 0.091, 0.072, 0.000, 0.175, 0.000, 0.003, 0.000, 0.046, 0.046, 0.046, 0.000, 0.046, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.024, 0.084, 0.029, 0.034, 0.152, 0.024, 0.000, 0.000, 0.000, 0.000, 0.000, 0.083, 0.006, 0.006, 0.000, 0.000, 0.000, 0.007, 0.099, 0.000, 0.205, 0.000, 0.000, 0.000, 0.000, 0.065, 0.000},
   /*52*/ {0.099, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.029, 0.000, 0.099, 0.081, 0.162, 0.158, 0.029, 0.008, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.008, 0.000, 0.000, 0.010, 0.010, 0.010, 0.010, 0.000, 0.000, 0.000, 0.027, 0.002, 0.000, 0.003, 0.000, 0.029, 0.000, 0.000, 0.029, 0.029, 0.000, 0.000, 0.000, 0.013, 0.013, 0.002, 0.000, 0.081, 0.000, 0.109, 0.000, 0.029, 0.000, 0.000, 0.002, 0.000, 0.020, 0.000},
   /*53*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*54*/ {0.000, 0.000, 0.019, 0.000, 0.000, 0.000, 0.020, 0.000, 0.000, 0.026, 0.000, 0.000, 0.000, 0.000, 0.019, 0.000, 0.019, 0.000, 0.033, 0.026, 0.000, 0.096, 0.079, 0.000, 0.153, 0.000, 0.004, 0.000, 0.046, 0.046, 0.046, 0.000, 0.046, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.000, 0.000, 0.008, 0.008, 0.000, 0.008, 0.000, 0.000, 0.000, 0.000, 0.024, 0.101, 0.029, 0.034, 0.026, 0.024, 0.000, 0.000, 0.000, 0.000, 0.000, 0.076, 0.012, 0.012, 0.000, 0.000, 0.000, 0.007, 0.106, 0.000, 0.026, 0.011, 0.000, 0.001, 0.000, 0.017, 0.000},
   /*55*/ {0.094, 0.000, 0.020, 0.000, 0.000, 0.000, 0.021, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.020, 0.000, 0.020, 0.000, 0.001, 0.046, 0.005, 0.117, 0.102, 0.154, 0.168, 0.024, 0.006, 0.000, 0.003, 0.003, 0.003, 0.033, 0.003, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.003, 0.000, 0.006, 0.033, 0.000, 0.034, 0.034, 0.034, 0.034, 0.024, 0.000, 0.033, 0.037, 0.001, 0.000, 0.001, 0.001, 0.046, 0.000, 0.036, 0.024, 0.024, 0.024, 0.024, 0.000, 0.040, 0.040, 0.021, 0.033, 0.078, 0.000, 0.128, 0.000, 0.046, 0.012, 0.000, 0.033, 0.000, 0.040, 0.032},
   /*56*/ {0.087, 0.000, 0.004, 0.000, 0.000, 0.000, 0.004, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.004, 0.000, 0.004, 0.000, 0.000, 0.156, 0.000, 0.156, 0.156, 0.156, 0.156, 0.037, 0.000, 0.000, 0.000, 0.000, 0.000, 0.088, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.086, 0.000, 0.115, 0.090, 0.156, 0.115, 0.045, 0.000, 0.156, 0.033, 0.000, 0.000, 0.000, 0.000, 0.156, 0.000, 0.079, 0.156, 0.156, 0.156, 0.156, 0.000, 0.156, 0.156, 0.015, 0.156, 0.069, 0.000, 0.155, 0.000, 0.156, 0.000, 0.000, 0.156, 0.000, 0.156, 0.071},
   /*57*/ {0.103, 0.000, 0.014, 0.000, 0.000, 0.000, 0.014, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.014, 0.000, 0.014, 0.000, 0.000, 0.080, 0.002, 0.080, 0.080, 0.080, 0.080, 0.034, 0.011, 0.000, 0.001, 0.001, 0.001, 0.088, 0.001, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.001, 0.000, 0.012, 0.086, 0.000, 0.125, 0.102, 0.169, 0.125, 0.034, 0.000, 0.078, 0.046, 0.003, 0.000, 0.005, 0.000, 0.080, 0.001, 0.074, 0.034, 0.034, 0.034, 0.034, 0.000, 0.080, 0.080, 0.019, 0.104, 0.085, 0.000, 0.079, 0.000, 0.080, 0.005, 0.000, 0.081, 0.000, 0.087, 0.077},
   /*58*/ {0.103, 0.000, 0.014, 0.000, 0.000, 0.000, 0.014, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.014, 0.000, 0.014, 0.000, 0.000, 0.265, 0.002, 0.216, 0.174, 0.169, 0.265, 0.034, 0.011, 0.000, 0.001, 0.001, 0.001, 0.088, 0.001, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.001, 0.000, 0.012, 0.086, 0.000, 0.125, 0.102, 0.169, 0.125, 0.034, 0.000, 0.078, 0.046, 0.003, 0.000, 0.005, 0.000, 0.206, 0.001, 0.074, 0.034, 0.034, 0.034, 0.034, 0.000, 0.137, 0.137, 0.019, 0.174, 0.085, 0.000, 0.162, 0.000, 0.205, 0.005, 0.000, 0.141, 0.000, 0.161, 0.077},
   /*59*/ {0.305, 0.000, 0.118, 0.000, 0.000, 0.000, 0.125, 0.000, 0.000, 0.240, 0.000, 0.000, 0.000, 0.000, 0.120, 0.000, 0.120, 0.000, 0.061, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.191, 0.000, 0.209, 0.209, 0.209, 0.059, 0.209, 0.000, 0.000, 0.135, 0.000, 0.000, 0.059, 0.059, 0.209, 0.059, 0.209, 0.059, 0.179, 0.059, 0.059, 0.059, 0.059, 0.059, 0.059, 0.059, 0.046, 0.062, 0.069, 0.060, 0.214, 0.084, 0.134, 0.000, 0.060, 0.053, 0.286, 0.286, 0.059, 0.059, 0.200, 0.000, 0.000, 0.000, 0.040, 0.241, 0.117, 0.001, 0.000, 0.000, 0.144, 0.053, 0.007, 0.050, 0.018, 0.023},
   /*60*/ {0.094, 0.000, 0.020, 0.000, 0.000, 0.000, 0.021, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.020, 0.000, 0.020, 0.000, 0.001, 0.046, 0.005, 0.117, 0.102, 0.154, 0.168, 0.024, 0.006, 0.000, 0.003, 0.003, 0.003, 0.033, 0.003, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.003, 0.000, 0.006, 0.033, 0.000, 0.034, 0.034, 0.034, 0.034, 0.024, 0.000, 0.033, 0.037, 0.001, 0.000, 0.001, 0.001, 0.046, 0.000, 0.036, 0.024, 0.024, 0.024, 0.024, 0.000, 0.040, 0.040, 0.021, 0.033, 0.078, 0.000, 0.128, 0.000, 0.046, 0.012, 0.000, 0.033, 0.000, 0.040, 0.032},
   /*61*/ {0.189, 0.000, 0.012, 0.000, 0.000, 0.000, 0.012, 0.000, 0.000, 0.058, 0.000, 0.000, 0.000, 0.000, 0.012, 0.000, 0.012, 0.000, 0.035, 0.034, 0.000, 0.103, 0.085, 0.169, 0.165, 0.034, 0.042, 0.000, 0.040, 0.040, 0.040, 0.000, 0.040, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.040, 0.000, 0.040, 0.000, 0.033, 0.000, 0.000, 0.013, 0.013, 0.013, 0.013, 0.000, 0.000, 0.000, 0.027, 0.040, 0.037, 0.038, 0.041, 0.034, 0.036, 0.000, 0.120, 0.120, 0.000, 0.000, 0.027, 0.015, 0.015, 0.003, 0.000, 0.161, 0.032, 0.112, 0.000, 0.034, 0.004, 0.000, 0.003, 0.000, 0.025, 0.001},
   /*62*/ {0.000, 0.000, 0.094, 0.000, 0.000, 0.000, 0.104, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.098, 0.000, 0.098, 0.000, 0.041, 0.293, 0.057, 0.293, 0.231, 0.000, 0.399, 0.000, 0.003, 0.000, 0.046, 0.046, 0.046, 0.088, 0.046, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.087, 0.032, 0.202, 0.159, 0.000, 0.202, 0.000, 0.029, 0.235, 0.000, 0.024, 0.349, 0.029, 0.034, 0.152, 0.024, 0.265, 0.000, 0.000, 0.000, 0.000, 0.080, 0.080, 0.080, 0.000, 0.255, 0.000, 0.007, 0.127, 0.000, 0.205, 0.080, 0.080, 0.140, 0.085, 0.080, 0.242},
   /*63*/ {0.000, 0.000, 0.094, 0.000, 0.000, 0.000, 0.104, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.098, 0.000, 0.098, 0.000, 0.041, 0.293, 0.057, 0.293, 0.231, 0.000, 0.399, 0.000, 0.003, 0.000, 0.046, 0.046, 0.046, 0.088, 0.046, 0.000, 0.000, 0.105, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.087, 0.032, 0.202, 0.159, 0.000, 0.161, 0.000, 0.029, 0.235, 0.000, 0.024, 0.349, 0.029, 0.034, 0.152, 0.024, 0.265, 0.000, 0.000, 0.000, 0.000, 0.080, 0.080, 0.080, 0.000, 0.255, 0.000, 0.007, 0.121, 0.000, 0.070, 0.080, 0.080, 0.140, 0.085, 0.080, 0.242},
   /*64*/ {0.000, 0.000, 0.003, 0.000, 0.000, 0.000, 0.003, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.003, 0.000, 0.032, 0.293, 0.000, 0.091, 0.072, 0.000, 0.175, 0.000, 0.003, 0.000, 0.046, 0.046, 0.046, 0.000, 0.046, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.024, 0.084, 0.029, 0.034, 0.152, 0.024, 0.000, 0.000, 0.000, 0.000, 0.000, 0.080, 0.006, 0.006, 0.000, 0.000, 0.000, 0.007, 0.099, 0.000, 0.205, 0.000, 0.000, 0.000, 0.000, 0.065, 0.000},
   /*65*/ {0.000, 0.000, 0.003, 0.000, 0.000, 0.000, 0.003, 0.000, 0.000, 0.025, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.003, 0.000, 0.032, 0.293, 0.000, 0.091, 0.072, 0.000, 0.175, 0.000, 0.003, 0.000, 0.046, 0.046, 0.046, 0.000, 0.046, 0.000, 0.000, 0.105, 0.000, 0.000, 0.000, 0.000, 0.046, 0.000, 0.046, 0.000, 0.015, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.024, 0.084, 0.029, 0.034, 0.152, 0.024, 0.000, 0.000, 0.000, 0.000, 0.000, 0.080, 0.006, 0.006, 0.000, 0.000, 0.000, 0.007, 0.099, 0.000, 0.070, 0.000, 0.000, 0.000, 0.000, 0.065, 0.000},
   /*66*/ {0.101, 0.000, 0.001, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.001, 0.000, 0.000, 0.293, 0.000, 0.192, 0.151, 0.202, 0.369, 0.068, 0.004, 0.000, 0.000, 0.000, 0.000, 0.088, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.025, 0.086, 0.000, 0.101, 0.080, 0.202, 0.101, 0.083, 0.000, 0.235, 0.059, 0.000, 0.000, 0.000, 0.000, 0.200, 0.000, 0.052, 0.080, 0.080, 0.080, 0.080, 0.000, 0.080, 0.080, 0.013, 0.255, 0.080, 0.000, 0.154, 0.000, 0.205, 0.000, 0.000, 0.288, 0.000, 0.080, 0.053},
   /*67*/ {0.243, 0.000, 0.034, 0.000, 0.000, 0.000, 0.034, 0.000, 0.000, 0.445, 0.000, 0.000, 0.000, 0.000, 0.034, 0.000, 0.034, 0.000, 0.040, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.073, 0.000, 0.100, 0.100, 0.100, 0.006, 0.100, 0.000, 0.000, 0.135, 0.000, 0.000, 0.006, 0.006, 0.100, 0.006, 0.100, 0.006, 0.061, 0.006, 0.006, 0.006, 0.006, 0.006, 0.006, 0.006, 0.013, 0.007, 0.039, 0.040, 0.140, 0.062, 0.071, 0.000, 0.040, 0.015, 0.080, 0.080, 0.006, 0.006, 0.080, 0.000, 0.000, 0.000, 0.012, 0.196, 0.057, 0.001, 0.000, 0.000, 0.203, 0.005, 0.001, 0.004, 0.002, 0.008},
   /*68*/ {0.243, 0.000, 0.034, 0.000, 0.000, 0.000, 0.034, 0.000, 0.000, 0.445, 0.000, 0.000, 0.000, 0.000, 0.034, 0.000, 0.034, 0.000, 0.040, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.073, 0.000, 0.100, 0.100, 0.100, 0.006, 0.100, 0.000, 0.000, 0.135, 0.000, 0.000, 0.006, 0.006, 0.100, 0.006, 0.100, 0.006, 0.061, 0.006, 0.006, 0.006, 0.006, 0.006, 0.006, 0.006, 0.013, 0.007, 0.039, 0.040, 0.140, 0.062, 0.071, 0.000, 0.040, 0.015, 0.080, 0.080, 0.006, 0.006, 0.080, 0.000, 0.000, 0.000, 0.012, 0.196, 0.057, 0.001, 0.000, 0.000, 0.203, 0.005, 0.001, 0.004, 0.002, 0.008},
   /*69*/ {0.000, 0.000, 0.011, 0.000, 0.000, 0.000, 0.011, 0.000, 0.000, 0.018, 0.000, 0.000, 0.000, 0.000, 0.011, 0.000, 0.011, 0.000, 0.020, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.003, 0.000, 0.017, 0.017, 0.017, 0.000, 0.017, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.017, 0.000, 0.017, 0.000, 0.015, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.002, 0.000, 0.000, 0.022, 0.015, 0.023, 0.019, 0.000, 0.021, 0.003, 0.000, 0.000, 0.000, 0.000, 0.013, 0.000, 0.000, 0.000, 0.001, 0.000, 0.007, 0.001, 0.000, 0.000, 0.006, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*70*/ {0.180, 0.000, 0.020, 0.000, 0.000, 0.000, 0.021, 0.000, 0.000, 0.178, 0.000, 0.000, 0.000, 0.000, 0.020, 0.000, 0.020, 0.000, 0.033, 0.024, 0.000, 0.094, 0.078, 0.154, 0.151, 0.024, 0.058, 0.000, 0.074, 0.074, 0.074, 0.000, 0.074, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.074, 0.000, 0.074, 0.000, 0.048, 0.000, 0.000, 0.007, 0.007, 0.007, 0.007, 0.000, 0.000, 0.000, 0.027, 0.036, 0.106, 0.048, 0.058, 0.024, 0.033, 0.001, 0.180, 0.180, 0.000, 0.000, 0.082, 0.012, 0.012, 0.001, 0.000, 0.180, 0.044, 0.104, 0.000, 0.024, 0.012, 0.000, 0.001, 0.000, 0.016, 0.000},
   /*71*/ {0.287, 0.000, 0.121, 0.000, 0.000, 0.000, 0.123, 0.000, 0.000, 0.183, 0.000, 0.000, 0.000, 0.000, 0.122, 0.000, 0.122, 0.000, 0.102, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.160, 0.000, 0.164, 0.164, 0.164, 0.072, 0.164, 0.000, 0.000, 0.135, 0.000, 0.000, 0.072, 0.072, 0.164, 0.072, 0.164, 0.072, 0.150, 0.072, 0.072, 0.072, 0.072, 0.072, 0.072, 0.072, 0.081, 0.073, 0.106, 0.102, 0.162, 0.116, 0.161, 0.000, 0.102, 0.085, 0.231, 0.231, 0.072, 0.072, 0.151, 0.000, 0.000, 0.000, 0.078, 0.287, 0.146, 0.001, 0.000, 0.000, 0.115, 0.069, 0.054, 0.068, 0.062, 0.068},
   /*72*/ {0.127, 0.001, 0.145, 0.001, 0.001, 0.001, 0.146, 0.001, 0.001, 0.162, 0.001, 0.001, 0.001, 0.001, 0.145, 0.001, 0.145, 0.001, 0.128, 0.001, 0.001, 0.001, 0.001, 0.001, 0.001, 0.001, 0.159, 0.001, 0.161, 0.161, 0.161, 0.099, 0.153, 0.001, 0.001, 0.001, 0.001, 0.001, 0.099, 0.099, 0.161, 0.001, 0.161, 0.099, 0.161, 0.099, 0.099, 0.099, 0.099, 0.099, 0.099, 0.099, 0.109, 0.101, 0.127, 0.128, 0.158, 0.114, 0.162, 0.001, 0.128, 0.112, 0.127, 0.127, 0.099, 0.099, 0.154, 0.001, 0.001, 0.001, 0.104, 0.127, 0.162, 0.003, 0.001, 0.001, 0.136, 0.096, 0.076, 0.095, 0.077, 0.092},
   /*73*/ {0.044, 0.000, 0.009, 0.000, 0.000, 0.000, 0.009, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.009, 0.000, 0.009, 0.000, 0.000, 0.102, 0.002, 0.170, 0.146, 0.044, 0.210, 0.007, 0.003, 0.000, 0.001, 0.001, 0.001, 0.027, 0.001, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.001, 0.000, 0.002, 0.029, 0.000, 0.079, 0.074, 0.044, 0.079, 0.007, 0.000, 0.025, 0.015, 0.001, 0.000, 0.001, 0.000, 0.102, 0.000, 0.036, 0.007, 0.007, 0.007, 0.007, 0.000, 0.057, 0.057, 0.007, 0.044, 0.044, 0.000, 0.162, 0.000, 0.102, 0.003, 0.000, 0.056, 0.000, 0.092, 0.044},
   /*74*/ {0.205, 0.000, 0.095, 0.000, 0.000, 0.000, 0.104, 0.000, 0.000, 0.205, 0.000, 0.000, 0.000, 0.000, 0.098, 0.000, 0.098, 0.000, 0.047, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.205, 0.000, 0.205, 0.205, 0.205, 0.089, 0.076, 0.000, 0.000, 0.000, 0.000, 0.000, 0.205, 0.205, 0.205, 0.000, 0.205, 0.205, 0.205, 0.086, 0.205, 0.205, 0.205, 0.205, 0.091, 0.205, 0.029, 0.100, 0.053, 0.046, 0.205, 0.078, 0.120, 0.000, 0.046, 0.034, 0.205, 0.068, 0.205, 0.068, 0.205, 0.000, 0.000, 0.000, 0.024, 0.205, 0.102, 0.001, 0.000, 0.000, 0.205, 0.205, 0.001, 0.205, 0.007, 0.012},
   /*75*/ {0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000},
   /*76*/ {0.147, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.202, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.060, 0.293, 0.000, 0.146, 0.115, 0.292, 0.282, 0.170, 0.027, 0.000, 0.001, 0.001, 0.001, 0.000, 0.001, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.001, 0.000, 0.001, 0.000, 0.021, 0.000, 0.000, 0.056, 0.044, 0.111, 0.056, 0.000, 0.000, 0.000, 0.206, 0.203, 0.000, 0.013, 0.004, 0.235, 0.012, 0.005, 0.080, 0.080, 0.000, 0.000, 0.000, 0.202, 0.202, 0.006, 0.202, 0.115, 0.003, 0.136, 0.000, 0.205, 0.000, 0.000, 0.036, 0.000, 0.065, 0.012},
   /*77*/ {0.087, 0.000, 0.004, 0.000, 0.000, 0.000, 0.004, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.004, 0.000, 0.004, 0.000, 0.000, 0.292, 0.000, 0.087, 0.069, 0.174, 0.168, 0.037, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.027, 0.000, 0.000, 0.000, 0.000, 0.191, 0.000, 0.000, 0.080, 0.080, 0.000, 0.000, 0.000, 0.005, 0.005, 0.000, 0.000, 0.069, 0.000, 0.096, 0.000, 0.205, 0.000, 0.000, 0.000, 0.000, 0.065, 0.000},
   /*78*/ {0.065, 0.000, 0.032, 0.000, 0.000, 0.000, 0.034, 0.000, 0.000, 0.001, 0.000, 0.000, 0.000, 0.000, 0.032, 0.000, 0.032, 0.000, 0.005, 0.140, 0.011, 0.140, 0.140, 0.107, 0.140, 0.001, 0.000, 0.000, 0.007, 0.007, 0.007, 0.088, 0.007, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.007, 0.000, 0.007, 0.000, 0.000, 0.086, 0.003, 0.156, 0.125, 0.107, 0.156, 0.001, 0.002, 0.235, 0.012, 0.001, 0.000, 0.000, 0.003, 0.140, 0.001, 0.141, 0.001, 0.001, 0.001, 0.001, 0.000, 0.140, 0.140, 0.001, 0.255, 0.054, 0.001, 0.139, 0.000, 0.140, 0.036, 0.000, 0.227, 0.000, 0.220, 0.123},
   /*79*/ {0.086, 0.000, 0.004, 0.000, 0.000, 0.000, 0.005, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.005, 0.000, 0.005, 0.000, 0.000, 0.084, 0.000, 0.084, 0.068, 0.084, 0.084, 0.033, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.027, 0.000, 0.000, 0.000, 0.000, 0.084, 0.000, 0.000, 0.250, 0.250, 0.000, 0.000, 0.000, 0.004, 0.004, 0.000, 0.000, 0.068, 0.000, 0.083, 0.000, 0.084, 0.000, 0.000, 0.000, 0.000, 0.061, 0.000},
   /*80*/ {0.277, 0.000, 0.071, 0.000, 0.000, 0.000, 0.072, 0.000, 0.000, 0.445, 0.000, 0.000, 0.000, 0.000, 0.071, 0.000, 0.071, 0.000, 0.040, 0.007, 0.000, 0.072, 0.062, 0.089, 0.088, 0.007, 0.107, 0.000, 0.128, 0.128, 0.128, 0.065, 0.128, 0.000, 0.002, 0.137, 0.000, 0.000, 0.065, 0.065, 0.128, 0.065, 0.128, 0.065, 0.096, 0.065, 0.065, 0.125, 0.112, 0.136, 0.125, 0.065, 0.020, 0.065, 0.044, 0.040, 0.169, 0.073, 0.107, 0.007, 0.040, 0.025, 0.080, 0.080, 0.065, 0.065, 0.080, 0.002, 0.002, 0.000, 0.016, 0.225, 0.092, 0.077, 0.000, 0.007, 0.065, 0.065, 0.000, 0.061, 0.000, 0.007},
   /*81*/ {0.224, 0.000, 0.021, 0.000, 0.000, 0.000, 0.022, 0.000, 0.000, 0.111, 0.000, 0.000, 0.000, 0.000, 0.021, 0.000, 0.021, 0.000, 0.032, 0.012, 0.000, 0.082, 0.068, 0.131, 0.128, 0.012, 0.056, 0.000, 0.063, 0.063, 0.063, 0.000, 0.063, 0.000, 0.000, 0.135, 0.000, 0.000, 0.000, 0.000, 0.063, 0.000, 0.063, 0.000, 0.046, 0.000, 0.000, 0.002, 0.002, 0.002, 0.002, 0.000, 0.000, 0.000, 0.027, 0.033, 0.071, 0.049, 0.057, 0.012, 0.032, 0.001, 0.242, 0.242, 0.000, 0.000, 0.053, 0.008, 0.008, 0.000, 0.000, 0.182, 0.044, 0.092, 0.000, 0.012, 0.012, 0.000, 0.000, 0.000, 0.007, 0.001}
} //array

#for (I, 0, 81)
   #for (J, 0, 81)
      #declare Kerning [I] [J] = -Kerning [I] [J];
   #end //#for
#end //#for

#declare ItalicOffset = array [164] {
   //The first number is how much to shift left if the character is at the start of a line,
   //the second number is how much extra line width is added if it's at the end of a line.
   /* 0*/ -0.000, 0.000,
   /* 1*/ -0.000, 0.110,
   /* 2*/ -0.089, 0.130,
   /* 3*/ -0.000, 0.111,
   /* 4*/ -0.000, 0.200,
   /* 5*/ -0.000, 0.200,
   /* 6*/ -0.090, 0.146,
   /* 7*/ -0.000, 0.200,
   /* 8*/ -0.000, 0.200,
   /* 9*/ -0.058, 0.200,
   /*10*/ -0.000, 0.181,
   /*11*/ -0.000, 0.039,
   /*12*/ -0.000, 0.200,
   /*13*/ -0.000, 0.200,
   /*14*/ -0.089, 0.111,
   /*15*/ -0.000, 0.143,
   /*16*/ -0.089, 0.090,
   /*17*/ -0.000, 0.043,
   /*18*/ -0.064, 0.102,
   /*19*/ -0.161, 0.200,
   /*20*/ -0.072, 0.200,
   /*21*/ -0.200, 0.200,
   /*22*/ -0.200, 0.200,
   /*23*/ -0.000, 0.200,
   /*24*/ -0.200, 0.200,
   /*25*/ -0.000, 0.200,
   /*26*/ -0.042, 0.062,
   /*27*/ -0.000, 0.082,
   /*28*/ -0.068, 0.107,
   /*29*/ -0.068, 0.200,
   /*30*/ -0.068, 0.082,
   /*31*/ -0.088, 0.200,
   /*32*/ -0.030, 0.150,
   /*33*/ -0.000, 0.089,
   /*34*/ -0.000, 0.200,
   /*35*/  0.071, 0.200,
   /*36*/ -0.000, 0.131,
   /*37*/ -0.000, 0.200,
   /*38*/ -0.000, 0.096,
   /*39*/ -0.000, 0.089,
   /*40*/ -0.068, 0.082,
   /*41*/  0.071, 0.082,
   /*42*/ -0.068, 0.150,
   /*43*/ -0.000, 0.146,
   /*44*/ -0.050, 0.084,
   /*45*/ -0.117, 0.124,
   /*46*/ -0.061, 0.150,
   /*47*/ -0.150, 0.150,
   /*48*/ -0.150, 0.150,
   /*49*/ -0.000, 0.150,
   /*50*/ -0.054, 0.150,
   /*51*/ -0.000, 0.150,
   /*52*/ -0.059, 0.141,
   /*53*/ -0.113, 0.200,
   /*54*/ -0.000, 0.142,
   /*55*/ -0.057, 0.117,
   /*56*/ -0.048, 0.087,
   /*57*/ -0.057, 0.120,
   /*58*/ -0.062, 0.076,
   /*59*/ -0.152, 0.200,
   /*60*/ -0.057, 0.117,
   /*61*/ -0.124, 0.138,
   /*62*/ -0.000, 0.039,
   /*63*/ -0.000, 0.039,
   /*64*/ -0.000, 0.150,
   /*65*/ -0.000, 0.150,
   /*66*/ -0.056, 0.094,
   /*67*/ -0.144, 0.200,
   /*68*/ -0.144, 0.200,
   /*69*/ -0.000, 0.200,
   /*70*/ -0.129, 0.143,
   /*71*/ -0.000, 0.200,
   /*72*/ -0.041, 0.201,
   /*73*/  0.073, 0.088,
   /*74*/  0.071, 0.200,
   /*75*/  0.071, 0.200,
   /*76*/ -0.081, 0.119,
   /*77*/ -0.048, 0.152,
   /*78*/ -0.139, 0.061,
   /*79*/ -0.047, 0.153,
   /*80*/ -0.157, 0.157,
   /*81*/ -0.131, 0.150
} //array

#declare BorderCharacterHeight_Top [0]  /*A*/ = Height_Upper;
#declare BorderCharacterHeight_Top [1]  /*B*/ = Height_Upper;
#declare BorderCharacterHeight_Top [2]  /*C*/ = Height_Upper;
#declare BorderCharacterHeight_Top [3]  /*D*/ = Height_Upper;
#declare BorderCharacterHeight_Top [4]  /*E*/ = Height_Upper;
#declare BorderCharacterHeight_Top [5]  /*F*/ = Height_Upper;
#declare BorderCharacterHeight_Top [6]  /*G*/ = Height_Upper;
#declare BorderCharacterHeight_Top [7]  /*H*/ = Height_Upper;
#declare BorderCharacterHeight_Top [8]  /*I*/ = Height_Upper;
#declare BorderCharacterHeight_Top [9]  /*J*/ = Height_Upper;
#declare BorderCharacterHeight_Top [10] /*K*/ = Height_Upper;
#declare BorderCharacterHeight_Top [11] /*L*/ = Height_Upper;
#declare BorderCharacterHeight_Top [12] /*M*/ = Height_Upper;
#declare BorderCharacterHeight_Top [13] /*N*/ = Height_Upper;
#declare BorderCharacterHeight_Top [14] /*O*/ = Height_Upper;
#declare BorderCharacterHeight_Top [15] /*P*/ = Height_Upper;
#declare BorderCharacterHeight_Top [16] /*Q*/ = Height_Upper;
#declare BorderCharacterHeight_Top [17] /*R*/ = Height_Upper;
#declare BorderCharacterHeight_Top [18] /*S*/ = Height_Upper;
#declare BorderCharacterHeight_Top [19] /*T*/ = Height_Upper;
#declare BorderCharacterHeight_Top [20] /*U*/ = Height_Upper;
#declare BorderCharacterHeight_Top [21] /*V*/ = Height_Upper;
#declare BorderCharacterHeight_Top [22] /*W*/ = Height_Upper;
#declare BorderCharacterHeight_Top [23] /*X*/ = Height_Upper;
#declare BorderCharacterHeight_Top [24] /*Y*/ = Height_Upper;
#declare BorderCharacterHeight_Top [25] /*Z*/ = Height_Upper;
#declare BorderCharacterHeight_Top [26] /*a*/ = Height_Lower;
#declare BorderCharacterHeight_Top [27] /*b*/ = Height_Upper;
#declare BorderCharacterHeight_Top [28] /*c*/ = Height_Lower;
#declare BorderCharacterHeight_Top [29] /*d*/ = Height_Upper;
#declare BorderCharacterHeight_Top [30] /*e*/ = Height_Lower;
#declare BorderCharacterHeight_Top [31] /*f*/ = Height_Upper;
#declare BorderCharacterHeight_Top [32] /*g*/ = Height_Lower;
#declare BorderCharacterHeight_Top [33] /*h*/ = Height_Upper;
#declare BorderCharacterHeight_Top [34] /*i*/ = Height_Upper;
#declare BorderCharacterHeight_Top [35] /*j*/ = Height_Upper;
#declare BorderCharacterHeight_Top [36] /*k*/ = Height_Upper;
#declare BorderCharacterHeight_Top [37] /*l*/ = Height_Upper;
#declare BorderCharacterHeight_Top [38] /*m*/ = Height_Lower;
#declare BorderCharacterHeight_Top [39] /*n*/ = Height_Lower;
#declare BorderCharacterHeight_Top [40] /*o*/ = Height_Lower;
#declare BorderCharacterHeight_Top [41] /*p*/ = Height_Lower;
#declare BorderCharacterHeight_Top [42] /*q*/ = Height_Lower;
#declare BorderCharacterHeight_Top [43] /*r*/ = Height_Lower;
#declare BorderCharacterHeight_Top [44] /*s*/ = Height_Lower;
#declare BorderCharacterHeight_Top [45] /*t*/ = Height_Upper;
#declare BorderCharacterHeight_Top [46] /*u*/ = Height_Lower;
#declare BorderCharacterHeight_Top [47] /*v*/ = Height_Lower;
#declare BorderCharacterHeight_Top [48] /*w*/ = Height_Lower;
#declare BorderCharacterHeight_Top [49] /*x*/ = Height_Lower;
#declare BorderCharacterHeight_Top [50] /*y*/ = Height_Lower;
#declare BorderCharacterHeight_Top [51] /*z*/ = Height_Lower;
#declare BorderCharacterHeight_Top [52] /*0*/ = Height_Upper;
#declare BorderCharacterHeight_Top [53] /*1*/ = Height_Upper;
#declare BorderCharacterHeight_Top [54] /*2*/ = Height_Upper;
#declare BorderCharacterHeight_Top [55] /*3*/ = Height_Upper;
#declare BorderCharacterHeight_Top [56] /*4*/ = Height_Upper;
#declare BorderCharacterHeight_Top [57] /*5*/ = Height_Upper;
#declare BorderCharacterHeight_Top [58] /*6*/ = Height_Upper;
#declare BorderCharacterHeight_Top [59] /*7*/ = Height_Upper;
#declare BorderCharacterHeight_Top [60] /*8*/ = Height_Upper;
#declare BorderCharacterHeight_Top [61] /*9*/ = Height_Upper;
#declare BorderCharacterHeight_Top [62] /*.*/ = StrokeWidth;
#declare BorderCharacterHeight_Top [63] /*,*/ = StrokeWidth;
#declare BorderCharacterHeight_Top [64] /*:*/ = Height_Lower;
#declare BorderCharacterHeight_Top [65] /*;*/ = Height_Lower;
#declare BorderCharacterHeight_Top [66] /*-*/ = Height_Lower / 2 + SW2;
#declare BorderCharacterHeight_Top [67] /*'*/ = Height_Upper;
#declare BorderCharacterHeight_Top [68] /*"*/ = Height_Upper;
#declare BorderCharacterHeight_Top [69] /*!*/ = Height_Upper;
#declare BorderCharacterHeight_Top [70] /*?*/ = Height_Upper;
#declare BorderCharacterHeight_Top [71] /*|*/ = Height_Upper;
#declare BorderCharacterHeight_Top [72] /*(*/ = Height_Upper;
#declare BorderCharacterHeight_Top [73] /*)*/ = Height_Upper;
#declare BorderCharacterHeight_Top [74] /*[*/ = Height_Upper;
#declare BorderCharacterHeight_Top [75] /*]*/ = Height_Upper;
#declare BorderCharacterHeight_Top [76] /*+*/ = Height_Upper / 2 + .3;
#declare BorderCharacterHeight_Top [77] /*=*/ = Height_Upper / 2 + StrokeWidth * 4/3;
#declare BorderCharacterHeight_Top [78] /*%*/ = Height_Upper;
#declare BorderCharacterHeight_Top [79] /*#*/ = Height_Upper;
#declare BorderCharacterHeight_Top [80] /***/ = Height_Upper + .075;
#declare BorderCharacterHeight_Top [81] /*^*/ = Height_Upper;

#declare BorderCharacterHeight_Bottom [0]  /*A*/ = 0;
#declare BorderCharacterHeight_Bottom [1]  /*B*/ = 0;
#declare BorderCharacterHeight_Bottom [2]  /*C*/ = 0;
#declare BorderCharacterHeight_Bottom [3]  /*D*/ = 0;
#declare BorderCharacterHeight_Bottom [4]  /*E*/ = 0;
#declare BorderCharacterHeight_Bottom [5]  /*F*/ = 0;
#declare BorderCharacterHeight_Bottom [6]  /*G*/ = 0;
#declare BorderCharacterHeight_Bottom [7]  /*H*/ = 0;
#declare BorderCharacterHeight_Bottom [8]  /*I*/ = 0;
#declare BorderCharacterHeight_Bottom [9]  /*J*/ = 0;
#declare BorderCharacterHeight_Bottom [10] /*K*/ = 0;
#declare BorderCharacterHeight_Bottom [11] /*L*/ = 0;
#declare BorderCharacterHeight_Bottom [12] /*M*/ = 0;
#declare BorderCharacterHeight_Bottom [13] /*N*/ = 0;
#declare BorderCharacterHeight_Bottom [14] /*O*/ = 0;
#declare BorderCharacterHeight_Bottom [15] /*P*/ = 0;
#declare BorderCharacterHeight_Bottom [16] /*Q*/ = -.046425; //* * * WRONG, BUT NOT IMPORTANT * * *
#declare BorderCharacterHeight_Bottom [17] /*R*/ = 0;
#declare BorderCharacterHeight_Bottom [18] /*S*/ = 0;
#declare BorderCharacterHeight_Bottom [19] /*T*/ = 0;
#declare BorderCharacterHeight_Bottom [20] /*U*/ = 0;
#declare BorderCharacterHeight_Bottom [21] /*V*/ = 0;
#declare BorderCharacterHeight_Bottom [22] /*W*/ = 0;
#declare BorderCharacterHeight_Bottom [23] /*X*/ = 0;
#declare BorderCharacterHeight_Bottom [24] /*Y*/ = 0;
#declare BorderCharacterHeight_Bottom [25] /*Z*/ = 0;
#declare BorderCharacterHeight_Bottom [26] /*a*/ = 0;
#declare BorderCharacterHeight_Bottom [27] /*b*/ = 0;
#declare BorderCharacterHeight_Bottom [28] /*c*/ = 0;
#declare BorderCharacterHeight_Bottom [29] /*d*/ = 0;
#declare BorderCharacterHeight_Bottom [30] /*e*/ = 0;
#declare BorderCharacterHeight_Bottom [31] /*f*/ = 0;
#declare BorderCharacterHeight_Bottom [32] /*g*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [33] /*h*/ = 0;
#declare BorderCharacterHeight_Bottom [34] /*i*/ = 0;
#declare BorderCharacterHeight_Bottom [35] /*j*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [36] /*k*/ = 0;
#declare BorderCharacterHeight_Bottom [37] /*l*/ = 0;
#declare BorderCharacterHeight_Bottom [38] /*m*/ = 0;
#declare BorderCharacterHeight_Bottom [39] /*n*/ = 0;
#declare BorderCharacterHeight_Bottom [40] /*o*/ = 0;
#declare BorderCharacterHeight_Bottom [41] /*p*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [42] /*q*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [43] /*r*/ = 0;
#declare BorderCharacterHeight_Bottom [44] /*s*/ = 0;
#declare BorderCharacterHeight_Bottom [45] /*t*/ = 0;
#declare BorderCharacterHeight_Bottom [46] /*u*/ = 0;
#declare BorderCharacterHeight_Bottom [47] /*v*/ = 0;
#declare BorderCharacterHeight_Bottom [48] /*w*/ = 0;
#declare BorderCharacterHeight_Bottom [49] /*x*/ = 0;
#declare BorderCharacterHeight_Bottom [50] /*y*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [51] /*z*/ = 0;
#declare BorderCharacterHeight_Bottom [52] /*0*/ = 0;
#declare BorderCharacterHeight_Bottom [53] /*1*/ = 0;
#declare BorderCharacterHeight_Bottom [54] /*2*/ = 0;
#declare BorderCharacterHeight_Bottom [55] /*3*/ = 0;
#declare BorderCharacterHeight_Bottom [56] /*4*/ = 0;
#declare BorderCharacterHeight_Bottom [57] /*5*/ = 0;
#declare BorderCharacterHeight_Bottom [58] /*6*/ = 0;
#declare BorderCharacterHeight_Bottom [59] /*7*/ = 0;
#declare BorderCharacterHeight_Bottom [60] /*8*/ = 0;
#declare BorderCharacterHeight_Bottom [61] /*9*/ = 0;
#declare BorderCharacterHeight_Bottom [62] /*.*/ = 0;
#declare BorderCharacterHeight_Bottom [63] /*,*/ = -.22 * sin (radians (60));
#declare BorderCharacterHeight_Bottom [64] /*:*/ = 0;
#declare BorderCharacterHeight_Bottom [65] /*;*/ = -.22 * sin (radians (60));
#declare BorderCharacterHeight_Bottom [66] /*-*/ = Height_Lower / 2 - SW2;
#declare BorderCharacterHeight_Bottom [67] /*'*/ = Height_Upper * .6;
#declare BorderCharacterHeight_Bottom [68] /*"*/ = Height_Upper * .6;
#declare BorderCharacterHeight_Bottom [69] /*!*/ = 0;
#declare BorderCharacterHeight_Bottom [70] /*?*/ = 0;
#declare BorderCharacterHeight_Bottom [71] /*|*/ = 0;
#declare BorderCharacterHeight_Bottom [72] /*(*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [73] /*)*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [74] /*[*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [75] /*]*/ = -Height_Lower / 2 * .95;
#declare BorderCharacterHeight_Bottom [76] /*+*/ = Height_Upper / 2 - .3;
#declare BorderCharacterHeight_Bottom [77] /*=*/ = Height_Upper / 2 - StrokeWidth * 4/3;
#declare BorderCharacterHeight_Bottom [78] /*%*/ = 0;
#declare BorderCharacterHeight_Bottom [79] /*#*/ = 0;
#declare BorderCharacterHeight_Bottom [80] /***/ = Height_Upper - Height_Lower / 2 * .8 - .21953; //* * * WRONG, BUT NOT IMPORTANT * * *
#declare BorderCharacterHeight_Bottom [81] /*^*/ = 0;

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * USEFUL MACROS                                                                                                   * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#macro ASCIIToIndex (ASCIIValue)

   #switch (ASCIIValue)
      #range (asc ("A"), asc ("Z")) #local IndexValue = ASCIIValue - asc ("A"); #break
      #range (asc ("a"), asc ("z")) #local IndexValue = ASCIIValue - asc ("a") + 26; #break
      #range (asc ("0"), asc ("9")) #local IndexValue = ASCIIValue - asc ("0") + 52; #break
      #case (asc (".")) #local IndexValue = 62; #break
      #case (asc (",")) #local IndexValue = 63; #break
      #case (asc (":")) #local IndexValue = 64; #break
      #case (asc (";")) #local IndexValue = 65; #break
      #case (asc ("-")) #local IndexValue = 66; #break
      #case (asc ("'")) #local IndexValue = 67; #break
      #case (asc ("\"")) #local IndexValue = 68; #break
      #case (asc ("!")) #local IndexValue = 69; #break
      #case (asc ("?")) #local IndexValue = 70; #break
      #case (asc ("/")) #local IndexValue = 71; #break
      #case (asc ("(")) #local IndexValue = 72; #break
      #case (asc (")")) #local IndexValue = 73; #break
      #case (asc ("[")) #local IndexValue = 74; #break
      #case (asc ("]")) #local IndexValue = 75; #break
      #case (asc ("+")) #local IndexValue = 76; #break
      #case (asc ("=")) #local IndexValue = 77; #break
      #case (asc ("%")) #local IndexValue = 78; #break
      #case (asc ("#")) #local IndexValue = 79; #break
      #case (asc ("*")) #local IndexValue = 80; #break
      #case (asc ("^")) #local IndexValue = 81; #break //Heart
      #else #local IndexValue = -1; #break //SPACE
   #end //#switch

   (IndexValue)

#end //#macro ASCIIToIndex

#macro MakeCharacter (IndexValue, Border)

   #switch (IndexValue)
      #case (0) MakeA1 (Border) #break
      #case (1) MakeB1 (Border) #break
      #case (2) MakeC1 (Border) #break
      #case (3) MakeD1 (Border) #break
      #case (4) MakeE1 (Border) #break
      #case (5) MakeF1 (Border) #break
      #case (6) MakeG1 (Border) #break
      #case (7) MakeH1 (Border) #break
      #case (8) MakeI1 (Border) #break
      #case (9) MakeJ1 (Border) #break
      #case (10) MakeK1 (Border) #break
      #case (11) MakeL1 (Border) #break
      #case (12) MakeM1 (Border) #break
      #case (13) MakeN1 (Border) #break
      #case (14) MakeO1 (Border) #break
      #case (15) MakeP1 (Border) #break
      #case (16) MakeQ1 (Border) #break
      #case (17) MakeR1 (Border) #break
      #case (18) MakeS1 (Border) #break
      #case (19) MakeT1 (Border) #break
      #case (20) MakeU1 (Border) #break
      #case (21) MakeV1 (Border) #break
      #case (22) MakeW1 (Border) #break
      #case (23) MakeX1 (Border) #break
      #case (24) MakeY1 (Border) #break
      #case (25) MakeZ1 (Border) #break
      #case (26) MakeA2 (Border) #break
      #case (27) MakeB2 (Border) #break
      #case (28) MakeC2 (Border) #break
      #case (29) MakeD2 (Border) #break
      #case (30) MakeE2 (Border) #break
      #case (31) MakeF2 (Border) #break
      #case (32) MakeG2 (Border) #break
      #case (33) MakeH2 (Border) #break
      #case (34) MakeI2 (Border) #break
      #case (35) MakeJ2 (Border) #break
      #case (36) MakeK2 (Border) #break
      #case (37) MakeL2 (Border) #break
      #case (38) MakeM2 (Border) #break
      #case (39) MakeN2 (Border) #break
      #case (40) MakeO2 (Border) #break
      #case (41) MakeP2 (Border) #break
      #case (42) MakeQ2 (Border) #break
      #case (43) MakeR2 (Border) #break
      #case (44) MakeS2 (Border) #break
      #case (45) MakeT2 (Border) #break
      #case (46) MakeU2 (Border) #break
      #case (47) MakeV2 (Border) #break
      #case (48) MakeW2 (Border) #break
      #case (49) MakeX2 (Border) #break
      #case (50) MakeY2 (Border) #break
      #case (51) MakeZ2 (Border) #break
      #case (52) MakeDigit_0 (Border) #break
      #case (53) MakeDigit_1 (Border) #break
      #case (54) MakeDigit_2 (Border) #break
      #case (55) MakeDigit_3 (Border) #break
      #case (56) MakeDigit_4 (Border) #break
      #case (57) MakeDigit_5 (Border) #break
      #case (58) MakeDigit_6 (Border) #break
      #case (59) MakeDigit_7 (Border) #break
      #case (60) MakeDigit_8 (Border) #break
      #case (61) MakeDigit_9 (Border) #break
      #case (62) MakePERIOD (Border) #break
      #case (63) MakeCOMMA (Border) #break
      #case (64) MakeCOLON (Border) #break
      #case (65) MakeSEMICOLON (Border) #break
      #case (66) MakeDASH (Border) #break
      #case (67) MakeAPOSTROPHE (Border) #break
      #case (68) MakeQUOTE (Border) #break
      #case (69) MakeEXCLAMATION (Border) #break
      #case (70) MakeQUESTION (Border) #break
      #case (71) MakeSLASH (Border) #break
      #case (72) MakePARENTHESIS_LEFT (Border) #break
      #case (73) MakePARENTHESIS_RIGHT (Border) #break
      #case (74) MakeBRACKET_LEFT (Border) #break
      #case (75) MakeBRACKET_RIGHT (Border) #break
      #case (76) MakePLUS (Border) #break
      #case (77) MakeEQUAL (Border) #break
      #case (78) MakePERCENT (Border) #break
      #case (79) MakeNUMBER (Border) #break
      #case (80) MakeASTERISK (Border) #break
      #case (81) MakeHEART (Border) #break
   #end //#switch

   #declare BorderCharacterWidth [IndexValue] = CharacterWidth;

#end //#macro MakeCharacter

#macro Italicize ()

   matrix < 1,  0,  0,
           .2,  1,  0,
            0,  0,  1,
            0,  0,  0>

#end //macro Italicize

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * CHARACTER DEFINITION MACROS                                                                                     * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#macro MakeGenericComma (Border)

   #declare Character = object {
      #local R = .22;
      #local TailSW = StrokeWidth * 2/3;
      #local ClipAngle = 30;
      #local Top = object {
         difference {
            box {<Border, 0, 0> <StrokeWidth - Border, StrokeWidth - Border, 1>}
            box {<-.1, -.1, -.1> <StrokeWidth + Border - TailSW, Border, 1.1>}
         } //difference
      } //object
      #local Tail = object {
         union {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R - TailSW + Border}
               } //difference
               plane {y, 0}
               plane {x, Border inverse rotate ClipAngle * z}
            } //intersection
            cylinder {<R - TailSW / 2, 0, 0> <R - TailSW / 2, 0, 1>, TailSW / 2 - Border}
         } //union
         translate (-R + StrokeWidth) * x
      } //object
      union {
         object {Top}
         object {Tail}
      } //union
   } //object

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakeGenericComma

#macro MakeGenericQUOTE (Border, Elevation, Angle)

   #local Elevation_ = Elevation;
   #local Angle_ = Angle;

   #declare Character = object {
      #local BaseWidth = StrokeWidth * .75;
      intersection {
         box {<-SW2 + Border, Elevation_ + Border, 0> <SW2 - Border, Height_Upper - Border, 1>}
         plane {x, Border inverse rotate Angle_ * z translate <-BaseWidth / 2, Elevation_, 0>}
         plane {x, -Border rotate -Angle_ * z translate <BaseWidth / 2, Elevation_, 0>}
      } //intersection
      translate SW2 * x
   } //object

#end //#macro MakeGenericQUOTE

#macro MakeGenericDigit_0 (Border, R, Height, TempSW)

   #local R_ = R;
   #local Height_ = Height;
   #local TempSW_ = TempSW;
   #local TempSW2 = TempSW_ / 2;

   #declare Character = object {
      #local Y1 = Height_ - R_;
      #local Y2 = R_;
      #local RoundPart = object {
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R_ - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R_ - TempSW_ + Border}
            } //difference
            plane {y, 0}
         } //intersection
      } //object
      #local VerticalBar = object {
         union {
            box {<Border, 0, 0> <TempSW_ - Border, Height_ - R_ * 2, 1>}
            cylinder {<TempSW2, 0, 0> <TempSW2, 0, 1>, TempSW2 - Border}
            cylinder {<TempSW2, Height_ - R_ * 2, 0> <TempSW2, Height_ - R_ * 2, 1>, TempSW2 - Border}
         } //union
         translate R_ * y
      } //object
      union {
         object {RoundPart translate R_ * y}
         object {RoundPart rotate 180 * z translate (Height_ - R_) * y}
         object {VerticalBar translate -R_ * x}
         object {VerticalBar translate (R_ - TempSW_) * x}
      } //union
      translate R_ * x
   } //object

   #declare CharacterWidth = R_ * 2;

#end //#macro MakeGenericDigit_0

#macro MakeGenericDigit_69 (Border, Spin)

   #declare Character = object {
      #local R = Height_Lower * .46;
      #local CharacterWithTail = object {
         difference {
            union {
               cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
               #local XC = 0;
               #local YC = 0;
               #local CurAngle = 0;
               #local CurR = R;
               #local NSections = 14;
               #local DeltaTheta = 2;
               #local RMultiplier = 1.2;
               #local Sections = object {
                  union {
                     #for (I, 0, NSections - 1)
                        #local X1 = XC - CurR * cos (radians (CurAngle));
                        #local Y1 = YC + CurR * sin (radians (CurAngle));
                        #local X2 = XC - (CurR - SW2) * cos (radians (CurAngle));
                        #local Y2 = YC + (CurR - SW2) * sin (radians (CurAngle));
                        #local CurR = CurR * RMultiplier;
                        #local XC = X1 - CurR * cos (radians (CurAngle + 180));
                        #local YC = Y1 + CurR * sin (radians (CurAngle + 180));
                        #local Section = object {
                           intersection {
                              difference {
                                 cylinder {<XC, YC, 0> <XC, YC, 1>, CurR - Border}
                                 cylinder {<XC, YC, -.1> <XC, YC, 1.1>, CurR - StrokeWidth + Border}
                              } //difference
                              plane {y, 0 inverse rotate -CurAngle * z translate <XC, YC, 0>}
                              plane {y, 0 rotate (-CurAngle - DeltaTheta) * z translate <XC, YC, 0>}
                           } //intersection
                        } //object
                        #if (I > 0)
                           #local Section = object {
                              union {
                                 object {Section}
                                 cylinder {<0, 0, 0> <0, 0, 1>, SW2 - Border translate <X2, Y2, 0>}
                              } //union
                           } //object
                        #end //#if
                        object {Section}
                        #local CurAngle = CurAngle + DeltaTheta;
                     #end //#for
                  } //union
               } //object
               object {Sections}
            } //union
            cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
         } //difference
         translate <R, R, 0>
      } //object
      intersection {
         object {CharacterWithTail}
         plane {y, Height_Upper - Border}
      } //intersection
      #if (Spin)
         translate <-R, -R, 0>
         rotate 180 * z
         translate <R, Height_Upper - R, 0>
      #end //#if
      bounded_by {
         box {<-.01, -.01, -.01> <R * 2 + .01, Height_Upper + .01, 1.01>}
      } //bounded_by
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeGenericDigit_69

#macro MakeGenericS (Border, Height, Uppercase)

   #local Height_ = Height;

   #if (Uppercase)
      #local RotationAmount = .5;
      #local ClipAngle_Top = 2.5 + RotationAmount;
      #local ClipAngle_Bottom = 5.5 + RotationAmount;
      #local R1 = .5;
      #local R2 = .3;
      #local R3 = .27;
      #local A1 = 20;
      #local A2 = 0;
      #local A3 = 15;
      #local R4 = .52;
      #local R5 = .34;
      #local R6 = R3;
      #local A4 = 25;
      #local A5 = A2;
      #local A6 = A3;
      #local BottomXOffset = .038;
      #local CharacterXOffset = .41250515; //* * * WRONG, BUT NOT IMPORTANT * * *
      #declare CharacterWidth = .79071627; //* * * WRONG, BUT NOT IMPORTANT * * *
   #else
      #local RotationAmount = 4;
      #local ClipAngle_Top = 10.5 + RotationAmount;
      #local ClipAngle_Bottom = 8.5 + RotationAmount;
      #local R1 = .4;
      #local R2 = .25;
      #local R3 = .22;
      #local A1 = 27;
      #local A2 = 5;
      #local A3 = 5;
      #local R4 = .42;
      #local R5 = .26;
      #local R6 = R3;
      #local A4 = 30;
      #local A5 = A2;
      #local A6 = A3;
      #local BottomXOffset = .032;
      #local CharacterXOffset = .31843438; //* * * WRONG, BUT NOT IMPORTANT * * *
      #declare CharacterWidth = .65540634; //* * * WRONG, BUT NOT IMPORTANT * * *
   #end //#if

   #declare Character = object {
      #local X1 = (R1 - SW2) * cos (radians (90 - A1));
      #local Y1 = (R1 - SW2) * sin (radians (90 - A1));
      #local X2 = -X1;
      #local Y2 = Y1;
      #local X3 = (R2 - StrokeWidth) * cos (radians (A2));
      #local Y3 = (R2 - StrokeWidth) * sin (radians (A2));
      #local X4 = (R3 - SW2) * cos (radians (-90 - A3));
      #local Y4 = (R3 - SW2) * sin (radians (-90 - A3));
      #local X6 = (R4 - SW2) * cos (radians (-90 - A4));
      #local Y6 = (R4 - SW2) * sin (radians (-90 - A4));
      #local X7 = -X6;
      #local Y7 = Y6;
      #local X8 = (R5 - StrokeWidth) * cos (radians (180 + A5));
      #local Y8 = (R5 - StrokeWidth) * sin (radians (180 + A5));
      #local X9 = (R6 - SW2) * cos (radians (90 - A6));
      #local Y9 = (R6 - SW2) * sin (radians (90 - A6));
      #local TopCenter = object {
         union {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R1 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R1 - StrokeWidth + Border}
               } //difference
               plane {x, 0 rotate -A1 * z}
               plane {x, 0 inverse rotate A1 * z}
            } //intersection
            cylinder {<0, 0, 0>, <0, 0, 1> SW2 - Border translate <X1, Y1, 0>}
            cylinder {<0, 0, 0>, <0, 0, 1> SW2 - Border translate <X2, Y2, 0>}
         } //union
      } //object
      #local TopRight = object {
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R2 - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 - StrokeWidth + Border}
            } //difference
            plane {x, 0 inverse rotate -A1 * z}
            plane {y, Border inverse rotate ClipAngle_Top * z translate <X3, Y3, 0>}
         } //intersection
      } //object
      #local TopLeft = object {
         union {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R3 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R3 - StrokeWidth + Border}
               } //difference
               plane {x, 0 rotate A1 * z}
               plane {x, 0 rotate -A3 * z}
            } //intersection
            cylinder {<0, 0, 0>, <0, 0, 1> SW2 - Border translate <X4, Y4, 0>}
         } //union
      } //object
      #local Top = object {
         union {
            object {TopCenter}
            #local X1A = (R2 - SW2) * cos (radians (90 - A1));
            #local Y1A = (R2 - SW2) * sin (radians (90 - A1));
            object {TopRight translate <X1 - X1A, Y1 - Y1A, 0>}
            #local X2A = (R3 - SW2) * cos (radians (90 + A1));
            #local Y2A = (R3 - SW2) * sin (radians (90 + A1));
            object {TopLeft translate <X2 - X2A, Y2 - Y2A, 0>}
         } //union
         #local TopYOffset = Height_ - R1;
         translate TopYOffset * y
         #local X4 = X4 + X2 - X2A;
         #local Y4 = Y4 + Y2 - Y2A + TopYOffset;
      } //object
      #local BottomCenter = object {
         union {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R4 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R4 - StrokeWidth + Border}
               } //difference
               plane {x, 0 inverse rotate -A4 * z}
               plane {x, 0 rotate A4 * z}
            } //intersection
            cylinder {<0, 0, 0>, <0, 0, 1> SW2 - Border translate <X6, Y6, 0>}
            cylinder {<0, 0, 0>, <0, 0, 1> SW2 - Border translate <X7, Y7, 0>}
         } //union
      } //object
      #local BottomLeft = object {
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R5 - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R5 - StrokeWidth + Border}
            } //difference
            plane {x, 0 rotate -A4 * z}
            plane {y, -Border rotate ClipAngle_Bottom * z translate <X8, Y8, 0>}
         } //intersection
      } //object
      #local BottomRight = object {
         union {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R6 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R6 - StrokeWidth + Border}
               } //difference
               plane {x, 0 inverse rotate A4 * z}
               plane {x, 0 inverse rotate -A6 * z}
            } //intersection
            cylinder {<0, 0, 0>, <0, 0, 1> SW2 - Border translate <X9, Y9, 0>}
         } //union
      } //object
      #local Bottom = object {
         union {
            object {BottomCenter}
            #local X6A = (R5 - SW2) * cos (radians (-90 - A4));
            #local Y6A = (R5 - SW2) * sin (radians (-90 - A4));
            object {BottomLeft translate <X6 - X6A, Y6 - Y6A, 0>}
            #local X7A = (R6 - SW2) * cos (radians (-90 + A4));
            #local Y7A = (R6 - SW2) * sin (radians (-90 + A4));
            object {BottomRight translate <X7 - X7A, Y7 - Y7A, 0>}
         } //union
         #local BottomYOffset = R4;
         translate <BottomXOffset, BottomYOffset, 0>
         #local X9 = X9 + X7 - X7A + BottomXOffset;
         #local Y9 = Y9 + Y7 - Y7A + BottomYOffset;
      } //object
      #local Bar = object {
         #local DX = X9 - X4;
         #local DY = Y9 - Y4;
         #local D = sqrt (DX * DX + DY * DY);
         #local A = degrees (asin (DX / D));
         box {<0, -SW2 + Border, 0> <D, SW2 - Border, 1> rotate (-90 + A) * z translate <X4, Y4, 0>}
      } //object
      union {
         object {Top}
         object {Bottom}
         object {Bar}
      } //union
      translate -BottomXOffset * x
      rotate -RotationAmount * z
      translate CharacterXOffset * x
   } //object

#end //#macro MakeGenericS

#macro MakeGenericV (Border, Height, Angle)

   #local Height_ = Height;
   #local Angle_ = Angle;

   #declare Character = object {
      #local Cutout = object {
         intersection {
            box {<-.5, 0, -.1> <.5, Height_ + .1, 1.1>}
            plane {y, SW2 - Border inverse rotate -Angle_ * z}
            plane {y, SW2 - Border inverse rotate Angle_ * z}
         } //intersection
      } //object
      difference {
         intersection {
            box {<-.6, Border, 0> <.6, Height_ - Border, 1>}
            plane {y, -SW2 + Border inverse rotate -Angle_ * z}
            plane {y, -SW2 + Border inverse rotate Angle_ * z}
         } //intersection
         object {Cutout}
      } //difference
      #local W = SW2 / sin (radians (Angle_));
      #local W = W + Height_ / tan (radians (Angle_));
      translate W * x
   } //object

   #declare CharacterWidth = W * 2;

#end //#macro MakeGenericV

#macro MakeGenericW (Border, Height, Angle)

   #local Height_ = Height;
   #local Angle_ = Angle;

   #declare Character = object {
      #local W1 = SW2 / sin (radians (Angle_));
      #local W2 = Height_ / sin (radians (Angle_)) * sin (radians (90 - Angle_));
      #local X1 = -W1 + W2;
      #local X2 = X1 + W1 * 2;
      #local Cutout_Top = object {
         intersection {
            box {<-.5, 0, -.1> <.5, Height_ + .1, 1.1>}
            plane {y, SW2 - Border inverse rotate -Angle_ * z}
            plane {y, SW2 - Border inverse rotate Angle_ * z}
         } //intersection
      } //object
      #local Cutout_Bottom = object {
         intersection {
            box {<-.5, -.1, -.1> <.5, Height_, 1.1>}
            plane {y, -SW2 + Border rotate -Angle_ * z translate Height_ * y}
            plane {y, -SW2 + Border rotate Angle_ * z translate Height_ * y}
         } //intersection
      } //object
      difference {
         intersection {
            box {<-.9, Border, 0> <.9, Height_ - Border, 1>}
            plane {y, Border inverse rotate -Angle_ * z translate -X2 * x}
            plane {y, Border inverse rotate Angle_ * z translate X2 * x}
         } //intersection
         object {Cutout_Bottom}
         object {Cutout_Top translate (X1 + W1) * x}
         object {Cutout_Top translate (-X1 - W1) * x}
      } //difference
      #local W = X2 + W2;
      translate W * x
   } //object

   #declare CharacterWidth = W * 2;

#end //#macro MakeGenericW

#macro MakeGenericX (Border, Height, Angle)

   #local Height_ = Height;
   #local Angle_ = Angle;

   #declare Character = object {
      #local W1 = StrokeWidth / sin (radians (Angle_));
      #local W2 = Height_ / sin (radians (Angle_)) * sin (radians (90 - Angle_));
      union {
         intersection {
            box {<-.1, Border, 0> <1.1, Height_ - Border, 1>}
            plane {y, -Border rotate Angle_ * z}
            plane {y, -StrokeWidth + Border inverse rotate Angle_ * z}
         } //intersection
         intersection {
            box {<-.1, Border, 0> <1.1, Height_ - Border, 1>}
            plane {y, Border inverse rotate -Angle_ * z translate Height_ * y}
            plane {y, StrokeWidth - Border rotate -Angle_ * z translate Height_ * y}
         } //intersection
      } //union
   } //object

   #declare CharacterWidth = W2 + W1;

#end //#macro MakeGenericX

#macro MakeGenericZ (Border, Height, Width)

   #local Height_ = Height;
   #local Width_ = Width;

   #declare Character = object {
      #local XC = Width_ / 2;
      #local YC = Height_ / 2;
      #local X1 = 0;
      #local Y1 = StrokeWidth;
      #local W1 = XC - X1;
      #local H1 = YC - Y1;
      #local D = sqrt (W1 * W1 + H1 * H1);
      #local A1 = degrees (asin (H1 / D));
      #local A2 = degrees (asin (SW2 / D));
      #local Angle = A1 + A2;
      #local Cutout_Front = object {
         intersection {
            box {<-.1, 0, -.1> <Width_, Height_ - StrokeWidth + Border, 1.1>}
            plane {y, -Border inverse rotate Angle * z translate StrokeWidth * y}
         } //intersection
      } //object
      #local Cutout_Back = object {
         intersection {
            box {<0, StrokeWidth - Border, -.1> <Width_ + .1, Height_, 1.1>}
            plane {y, Border rotate Angle * z translate <Width_, Height_ - StrokeWidth, 0>}
         } //intersection
      } //object
      difference {
         box {<Border, Border, 0> <Width_ - Border, Height_ - Border, 1>}
         object {Cutout_Front}
         object {Cutout_Back}
      } //difference
   } //object

   #declare CharacterWidth = Width_;

#end //#macro MakeGenericZ

#macro MakePERIOD (Border)

   #declare Character = object {
      box {<Border, Border, 0> <StrokeWidth - Border, StrokeWidth - Border, 1>}
   } //object

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakePERIOD

#macro MakeCOMMA (Border)

   MakeGenericComma (Border)

#end //#macro MakeCOMMA

#macro MakeCOLON (Border)

   #declare Character = object {
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, StrokeWidth - Border, 1>}
         box {<Border, Height_Lower - StrokeWidth + Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1>}
      } //union
   } //object

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakeCOLON

#macro MakeSEMICOLON (Border)

   MakeGenericComma (Border)

   #declare Character = object {
      union {
         object {Character}
         box {<Border, Height_Lower - StrokeWidth + Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1>}
      } //union
   } //object

#end //#macro MakeSEMICOLON

#macro MakeDASH (Border)

   #declare Character = object {
      #local Width = .42;
      #local Elevation = Height_Lower / 2 - SW2;
      box {<Border, Border, 0> <Width - Border, StrokeWidth - Border, 1>}
      translate Elevation * y
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeDASH

#macro MakeAPOSTROPHE (Border)

   #local Elevation = Height_Upper * .6;
   #local Angle = 7;

   MakeGenericQUOTE (Border, Elevation, Angle)

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakeAPOSTROPHE

#macro MakeQUOTE (Border)

   #local Elevation = Height_Upper * .6;
   #local Angle = 7;

   MakeGenericQUOTE (Border, Elevation, Angle)

   #declare Character = object {
      #local D = .05;
      union {
         object {Character}
         object {Character translate (StrokeWidth + D) * x}
      } //union
   } //object

   #declare CharacterWidth = StrokeWidth * 2 + D;

#end //#macro MakeQUOTE

#macro MakeEXCLAMATION (Border)

   #local Elevation = Height_Upper * .25;
   #local Angle = 3;

   MakeGenericQUOTE (Border, Elevation, Angle)

   #declare Character = object {
      union {
         object {Character}
         box {<Border, Border, 0> <StrokeWidth - Border, StrokeWidth - Border, 1>}
      } //union
   } //object

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakeEXCLAMATION

#macro MakeQUESTION (Border)

   #declare Character = object {
      #local R1 = .315;
      #local R2 = R1 * .8;
      #local CurveExtension = .075;
      #local YExtension = .1;
      #local DiagonalExtension = .1;
      #local ClipAngle = 10;
      #local X1 = (R1 - SW2) * cos (radians (45));
      #local Y1 = -(R1 - SW2) * sin (radians (45));
      #local X2 = -(R2 - SW2) * cos (radians (45));
      #local Y2 = (R2 - SW2) * sin (radians (45));
      #local X3 = DiagonalExtension / 2 * cos (radians (45));
      #local Y3 = DiagonalExtension / 2 * sin (radians (45));
      #local X4 = -X3;
      #local Y4 = -Y3;
      #local Diagonal = object {
         union {
            box {<-DiagonalExtension / 2, -SW2 + Border, 0> <DiagonalExtension / 2, SW2 - Border, 1>}
            cylinder {<-DiagonalExtension / 2, 0, 0> <-DiagonalExtension / 2, 0, 1>, SW2 - Border}
            cylinder {<DiagonalExtension / 2, 0, 0> <DiagonalExtension / 2, 0, 1>, SW2 - Border}
         } //union
         rotate 45 * z
      } //object
      #local TopCurve = object {
         union {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R1 - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R1 - StrokeWidth + Border}
               intersection {
                  box {<-R1 - .1, -R1 - .1, -.1> <R1 + .1, 0, 1.1>}
                  plane {y, 0 rotate -45 * z}
               } //intersection
            } //difference
            intersection {
               union {
                  box {<-R1 + Border, -CurveExtension, 0> <-R1 + StrokeWidth - Border, 0, 1>}
                  cylinder {<-R1 + SW2, 0, 0> <-R1 + SW2, 0, 1>, SW2 - Border}
               } //union
               plane {y, Border inverse rotate -ClipAngle * z translate <-R1 + StrokeWidth, -CurveExtension, 0>}
            } //intersection
         } //union
      } //object
      #local BottomCurve = object {
         union {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R2 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 - StrokeWidth + Border}
               } //difference
               plane {y, 0 rotate -45 * z}
               plane {y, 0 inverse}
            } //intersection
            cylinder {<-R2 + SW2, 0, 0> <-R2 + SW2, 0, 1>, SW2 - Border}
            box {<-R2 + Border, -YExtension + Border, 0> <-R2 + StrokeWidth - Border, 0, 1>}
         } //union
      } //object
      #local TopPart = object {
         union {
            object {TopCurve}
            object {Diagonal translate <X1 - X3, Y1 - Y3, 0>}
            #local X4 = X4 + X1 - X3;
            #local Y4 = Y4 + Y1 - Y3;
            object {BottomCurve translate <X4 - X2, Y4 - Y2, 0>}
         } //union
         translate <R1, Height_Upper - R1, 0>
      } //object
      union {
         object {TopPart}
         box {<Border, Border, 0> <StrokeWidth - Border, StrokeWidth - Border, 1> translate (-R2 + X4 - X2 + R1) * x}
      } //union
   } //object

   #declare CharacterWidth = R1 * 2;

#end //#macro MakeQUESTION

#macro MakeSLASH (Border)

   #declare Character = object {
      #local Angle = 74;
      #local W2 = Height_Upper / sin (radians (Angle)) * sin (radians (90 - Angle));
      #local W1 = StrokeWidth / sin (radians (Angle));
      intersection {
         box {<-1, Border, 0> <Height_Upper * .6, Height_Upper - Border, 1>}
         plane {y, -Border rotate Angle * z}
         plane {y, -StrokeWidth + Border inverse rotate Angle * z}
      } //intersection
   } //object

   #declare CharacterWidth = W2 + W1;

#end //#macro MakeSLASH

#macro MakePARENTHESIS_LEFT (Border)

   #declare Character = object {
      #local R1 = Height_Upper * 1.2;
      #local R2 = R1 * 1.24;
      #local Height = Height_Upper + Height_Lower / 2 * .95;
      intersection {
         difference {
            cylinder {<0, 0, 0> <0, 0, 1>, R1 - Border}
            cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 + Border translate (R2 - R1 + StrokeWidth) * x}
         } //difference
         plane {x, 0}
         plane {y, -Height / 2 + Border inverse}
         plane {y, Height / 2 - Border}
      } //intersection
      translate <R1, Height / 2 - Height_Lower / 2 * .95, 0>
   } //object

   #declare CharacterWidth = R2 * .24; //* * * WRONG, BUT NOT IMPORTANT * * *

#end //#macro MakePARENTHESIS_LEFT

#macro MakePARENTHESIS_RIGHT (Border)

   #declare Character = object {
      #local R1 = Height_Upper * 1.2;
      #local R2 = R1 * 1.24;
      #local Height = Height_Upper + Height_Lower / 2 * .95;
      intersection {
         difference {
            cylinder {<0, 0, 0> <0, 0, 1>, R1 - Border}
            cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 + Border translate -(R2 - R1 + StrokeWidth) * x}
         } //difference
         plane {x, 0 inverse}
         plane {y, -Height / 2 + Border inverse}
         plane {y, Height / 2 - Border}
      } //intersection
      translate <-R1 + R2 * .24, Height / 2 - Height_Lower / 2 * .95, 0> //* * * WRONG, BUT NOT IMPORTANT * * *
   } //object

   #declare CharacterWidth = R2 * .24; //* * * WRONG, BUT NOT IMPORTANT * * *

#end //#macro MakePARENTHESIS_RIGHT

#macro MakeBRACKET_LEFT (Border)

   #declare Character = object {
      #local Width = .4;
      #local Y1 = -.75 / 2 * .95;
      difference {
         box {<Border, Y1 + Border, 0> <Width - Border, Height_Upper - Border, 1>}
         box {<StrokeWidth - Border, Y1 + StrokeWidth - Border, -.1> <Width + .1, Height_Upper - StrokeWidth + Border, 1.1>}
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeBRACKET_LEFT

#macro MakeBRACKET_RIGHT (Border)

   #declare Character = object {
      #local Width = .4;
      #local Y1 = -.75 / 2 * .95;
      difference {
         box {<Border, Y1 + Border, 0> <Width - Border, Height_Upper - Border, 1>}
         box {<-.1, Y1 + StrokeWidth - Border, -.1> <Width - StrokeWidth + Border, Height_Upper - StrokeWidth + Border, 1.1>}
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeBRACKET_RIGHT

#macro MakePLUS (Border)

   #declare Character = object {
      #local Width = .6;
      #local W2 = Width / 2;
      difference {
         box {<Border, Border, 0> <Width - Border, Width - Border, 1>}
         box {<-.1, -.1, -.1> <W2 - SW2 + Border, W2 - SW2 + Border, 1.1>}
         box {<-.1, W2 + SW2 - Border, -.1> <W2 - SW2 + Border, Width + .1, 1.1>}
         box {<W2 + SW2 - Border, W2 + SW2 - Border, -.1> <Width + .1, Width + .1, 1.1>}
         box {<W2 + SW2 - Border, -.1, -.1> <Width + .1, W2 - SW2 + Border, 1.1>}
      } //difference
      translate (Height_Upper / 2 - W2) * y
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakePLUS

#macro MakeEQUAL (Border)

   #declare Character = object {
      #local Width = .56;
      #local YDistance = StrokeWidth * 2/3;
      #local Height = StrokeWidth * 2 + YDistance;
      #local Elevation = Height_Upper / 2 - Height / 2;
      #local Bar = object {
         box {<Border, Border, 0> <Width - Border, StrokeWidth - Border, 1>}
      } //object
      union {
         object {Bar}
         object {Bar translate (StrokeWidth + YDistance) * y}
      } //union
      translate Elevation * y
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeEQUAL

#macro MakePERCENT (Border)

   #local R = Height_Lower * .29;
   #local Height = Height_Lower * 2/3;
   #local TempSW = StrokeWidth * .75;

   MakeGenericDigit_0 (Border, R, Height, TempSW)

   #declare Character = object {
      #local Angle = 62;
      #local XOffset = .14;
      #local W2 = Height_Upper / sin (radians (Angle)) * sin (radians (90 - Angle));
      #local W1 = StrokeWidth / sin (radians (Angle));
      union {
         object {Character translate <-XOffset, Height_Upper - Height, 0>}
         object {Character translate <W2 + W1 - R * 2 + XOffset, 0, 0>}
         intersection {
            box {<-1, Border, 0> <Height_Upper * .9, Height_Upper - Border, 1>}
            plane {y, -Border rotate Angle * z}
            plane {y, -StrokeWidth + Border inverse rotate Angle * z}
         } //intersection
      } //union
      translate XOffset * x
   } //object

   #declare CharacterWidth = W2 + W1 + XOffset * 2;

#end //#macro MakePERCENT

#macro MakeNUMBER (Border)

   #declare Character = object {
      #local Height = Height_Upper;
      #local Width = Height * .86;
      #local Angle = 78.4;
      #local XOffset = Width * 1/3;
      #local YOffset = Height * 1/3;
      #local Bar_Horizontal = object {
         box {<Border, -SW2 + Border, 0> <Width - Border, SW2 - Border, 1>}
      } //object
      #local Bar_Diagonal = object {
         intersection {
            box {<-1, Border, 0> <1, Height - Border, 1>}
            plane {y, SW2 - Border rotate Angle * z translate (Height / 2) * y}
            plane {y, -SW2 + Border inverse rotate Angle * z translate (Height / 2) * y}
         } //intersection
      } //object
      union {
         object {Bar_Horizontal translate YOffset * y}
         object {Bar_Horizontal translate (Height - YOffset) * y}
         object {Bar_Diagonal translate XOffset * x}
         object {Bar_Diagonal translate (Width - XOffset) * x}
      } //union
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeNUMBER

#macro MakeASTERISK (Border)

   #declare Character = object {
      #local R = Height_Lower / 2 * .8;
      #local R2 = R * .5;
      #local R3 = R2 * .75;
      #local ClipAngle = 10;
      #local NSides = 5;
      #local DeltaTheta = int (360 / NSides + .5);
      #local CutoutSide_Right = object {
         intersection {
            box {<-.1, -.1, -.2> <R + .2, R + .2, 1.2>}
            plane {x, Border inverse rotate (-DeltaTheta / 2) * z translate R2 * y}
            plane {x, Border inverse rotate (-DeltaTheta / 2 + ClipAngle) * z translate R3 * y}
         } //intersection
      } //object
      #local CutoutSide_Left = object {
         intersection {
            box {<-R - .2, -.1, -.3> <.1, R + .2, 1.3>}
            plane {x, -Border rotate (DeltaTheta / 2) * z translate R2 * y}
            plane {x, -Border rotate (DeltaTheta / 2 - ClipAngle) * z translate R3 * y}
         } //intersection
      } //object
      #local Cutout = object {
         difference {
            box {<-R - .1, 0, -.1> <R + .1, R + .1, 1.1>}
            object {CutoutSide_Right}
            object {CutoutSide_Left}
         } //difference
      } //object
      #local Center = object {
         intersection {
            box {<-R - .1, -R - .1, 0> <R + .1, R + .1, 1>}
            #for (Angle, 0, 360 - DeltaTheta, DeltaTheta)
               plane {y, R - Border rotate -Angle * z}
            #end //#for
         } //intersection
      } //object
      difference {
         object {Center}
         #for (Angle, 0, 360 - DeltaTheta, DeltaTheta)
            object {Cutout rotate (-Angle + DeltaTheta / 2) * z}
         #end //#for
      } //difference
      translate <R * 1.041, Height_Upper - R + .075, 0> //* * * WRONG, BUT NOT IMPORTANT * * *
   } //object

   #declare CharacterWidth = R * 1.041 * 2; //* * * WRONG, BUT NOT IMPORTANT * * *

#end //#macro MakeASTERISK

#macro MakeHEART (Border)

   #declare Character = object {
      #local R = .26;
      #local D = R * .82;
      #local StartAngle = 20;
      #local X1 = R;
      #local Y1 = 0;
      #local DY = Y1 - (-Height_Upper + R);
      #local DX = D + X1;
      #local BottomAngle = degrees (atan (DY / DX));
      #local Base = object {
         intersection {
            union {
               cylinder {<-D, 0, 0> <-D, 0, 1>, R - Border}
               cylinder {<D, 0, 0> <D, 0, 1>, R - Border}
               box {<-D - R + Border, -Height_Upper + R, 0> <D + R - Border, 0, 1>}
            } //union
            plane {y, Border inverse rotate BottomAngle * z translate <D + X1, Y1, 0>}
            plane {y, Border inverse rotate -BottomAngle * z translate <-D - X1, Y1, 0>}
         } //intersection
      } //object
      #local XC = D;
      #local YC = 0;
      #local CurAngle = StartAngle;
      #local CurR = R;
      #local NSections = 12;
      #local DeltaTheta = (90 - StartAngle) / NSections;
      #local RMultiplier = 1.144781;
      #local MaxWidth = 0;
      #local Section = object {
         union {
            #for (I, 0, NSections - 1)
               #local X1 = XC + CurR * cos (radians (CurAngle));
               #local Y1 = YC + CurR * sin (radians (CurAngle));
               #local CurR = CurR * RMultiplier;
               #local XC = X1 + CurR * cos (radians (CurAngle + 180));
               #local YC = Y1 + CurR * sin (radians (CurAngle + 180));
               intersection {
                  cylinder {<XC, YC, 0> <XC, YC, 1>, CurR - Border}
                  plane {y, 0 rotate CurAngle * z translate <XC, YC, 0>}
               } //intersection
               #local CurWidth = XC + CurR * cos (radians (CurAngle));
               #local MaxWidth = max (MaxWidth, CurWidth);
               #local CurAngle = CurAngle - DeltaTheta;
            #end //#for
         } //union
      } //object
      #local Section = object {
         intersection {
            object {Section}
            plane {x, 0 inverse rotate 1 * z translate <0, -Height_Upper + R + Border, 0>}
         } //intersection
      } //object
      union {
         object {Base}
         object {Section}
         object {Section rotate 180 * y translate 1 * z}
      } //union
      translate <MaxWidth, Height_Upper - R, 0>
      bounded_by {
         box {<-.01, -.01, -.01> <MaxWidth * 2 + .01, Height_Upper + .01, 1.01>}
      } //bounded_by
   } //object

   #declare CharacterWidth = MaxWidth * 2;

#end //#macro MakeHEART

#macro MakeDigit_0 (Border)

   #local R = Height_Lower * .44;
   #local Height = Height_Upper;

   MakeGenericDigit_0 (Border, R, Height, StrokeWidth)

   #declare CharacterWidth = R * 2;

#end //#macro MakeDigit_0

#macro MakeDigit_1 (Border)

   #declare Character = object {
      #local Width = Height_Upper * .43;
      #local R = .8;
      #local XC = -.36;
      #local YC = Height_Upper + R - .34;
      difference {
         box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
         cylinder {<XC, YC, -.2> <XC, YC, 1.2>, R + Border}
         difference {
            box {<-.1, -.1, -.1> <Width - StrokeWidth + Border, Height_Upper + .1, 1.1>}
            cylinder {<XC, YC, -.2> <XC, YC, 1.2>, R + StrokeWidth * .85 - Border}
         } //difference
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeDigit_1

#macro MakeDigit_2 (Border)

   #declare Character = object {
      #local R1 = .32;
      #local R2 = R1 * .8;
      #local Angle = 40;
      #local CurveExtension = .075;
      #local YExtension = .2;
      #local DiagonalExtension = .5;
      #local ClipAngle = 10;
      #local BottomWidth = R1 * 1.475; //* * * WRONG, BUT NOT IMPORTANT * * *
      #local X1 = (R1 - SW2) * cos (radians (Angle));
      #local Y1 = -(R1 - SW2) * sin (radians (Angle));
      #local X2 = -(R2 - SW2) * cos (radians (Angle));
      #local Y2 = (R2 - SW2) * sin (radians (Angle));
      #local X3 = DiagonalExtension / 2 * cos (radians (Angle));
      #local Y3 = DiagonalExtension / 2 * sin (radians (Angle));
      #local X4 = -X3;
      #local Y4 = -Y3;
      #local Diagonal = object {
         union {
            box {<-DiagonalExtension / 2, -SW2 + Border, 0> <DiagonalExtension / 2, SW2 - Border, 1>}
            cylinder {<-DiagonalExtension / 2, 0, 0> <-DiagonalExtension / 2, 0, 1>, SW2 - Border}
            cylinder {<DiagonalExtension / 2, 0, 0> <DiagonalExtension / 2, 0, 1>, SW2 - Border}
         } //union
         rotate Angle * z
      } //object
      #local TopCurve = object {
         union {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R1 - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R1 - StrokeWidth + Border}
               intersection {
                  box {<-R1 - .1, -R1 - .1, -.1> <R1 + .1, 0, 1.1>}
                  plane {y, 0 rotate -Angle * z}
               } //intersection
            } //difference
            intersection {
               union {
                  box {<-R1 + Border, -CurveExtension, 0> <-R1 + StrokeWidth - Border, 0, 1>}
                  cylinder {<-R1 + SW2, 0, 0> <-R1 + SW2, 0, 1>, SW2 - Border}
               } //union
               plane {y, Border inverse rotate -ClipAngle * z translate <-R1 + StrokeWidth, -CurveExtension, 0>}
            } //intersection
         } //union
      } //object
      #local BottomCurve = object {
         union {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R2 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 - StrokeWidth + Border}
               } //difference
               plane {y, 0 rotate -Angle * z}
               plane {y, 0 inverse}
            } //intersection
            cylinder {<-R2 + SW2, 0, 0> <-R2 + SW2, 0, 1>, SW2 - Border}
            box {<-R2 + Border, -YExtension, 0> <-R2 + StrokeWidth - Border, 0, 1>}
         } //union
      } //object
      #local TopPart = object {
         union {
            object {TopCurve}
            object {Diagonal translate <X1 - X3, Y1 - Y3, 0>}
            #local X4 = X4 + X1 - X3;
            #local Y4 = Y4 + Y1 - Y3;
            object {BottomCurve translate <X4 - X2, Y4 - Y2, 0>}
         } //union
         translate <R1, Height_Upper - R1, 0>
      } //object
      intersection {
         union {
            object {TopPart}
            box {<-SW2, -.1, 0> <BottomWidth - Border, StrokeWidth - Border, 1> translate (StrokeWidth - R2 + X4 - X2 + R1) * x}
         } //union
         plane {y, Border inverse}
      } //intersection
      translate .02715927 * x //* * * WRONG, BUT NOT IMPORTANT * * *
   } //object

   #declare CharacterWidth = R1 * 2 + .02715927; //* * * WRONG, BUT NOT IMPORTANT * * *

#end //#macro MakeDigit_2

#macro MakeDigit_3 (Border)

   #declare Character = object {
      #local R1 = .185 + SW2;
      #local R2 = (Height_Upper - R1 * 2) / 2 + SW2;
      #local XExtension = .1;
      #local ClipAngle = 10;
      #local XC1 = 0;
      #local YC1 = Height_Upper - R1;
      #local XC2 = 0;
      #local YC2 = R2;
      union {
         union {
            difference {
               cylinder {<0, YC1, 0> <0, YC1, 1>, R1 - Border}
               cylinder {<0, YC1, -.1> <0, YC1, 1.1>, R1 - StrokeWidth + Border}
               intersection {
                  box {<-R1 - .1, YC1 - R1 - .1, -.2> <0, YC1 + R1 + .1, 1.2>}
                  plane {y, Border rotate -ClipAngle * z translate (YC1 - .04) * y}
               } //intersection
            } //difference
            difference {
               cylinder {<0, YC2, 0> <0, YC2, 1>, R2 - Border}
               cylinder {<0, YC2, -.1> <0, YC2, 1.1>, R2 - StrokeWidth + Border}
               intersection {
                  box {<-R2 - .1, YC2 - R2 - .1, -.2> <0, YC2 + R2 + .1, 1.2>}
                  plane {y, -Border inverse rotate ClipAngle * z translate (YC2 + .04) * y}
               } //intersection
            } //difference
         } //union
         intersection {
            union {
               cylinder {<0, YC1 - R1 + SW2, 0> <0, YC1 - R1 + SW2, 1>, SW2 - Border}
               box {<-XExtension, YC1 - R1 + Border, 0> <0, YC1 - R1 + StrokeWidth - Border, 1>}
            } //union
            plane {x, Border inverse rotate -ClipAngle * z translate <-XExtension, YC1 - R1, 0>}
         } //intersection
      } //union
      translate R2 * x
   } //object

   #declare CharacterWidth = R2 * 2;

#end //#macro MakeDigit_3

#macro MakeDigit_4 (Border)

   #declare Character = object {
      #local Width = Height_Upper * .7;
      #local XExtension = StrokeWidth * .8;
      #local Y1 = Height_Upper * .24;
      #local Y2 = Y1 + StrokeWidth;
      #local Angle = 55;
      intersection {
         difference {
            box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
            box {<-.1, -.1, -.1> <Width - XExtension - StrokeWidth + Border, Y1 + Border, 1.1>}
            box {<Width - XExtension - Border, -.1, -.1> <Width + .1, Y1 + Border, 1.1>}
            box {<Width - XExtension - Border, Y2 - Border, -.1> <Width + .1, Height_Upper + .1, 1.1>}
            intersection {
               box {<-.1, Y2 - Border, -.1> <Width - XExtension - StrokeWidth + Border, Height_Upper + .1, 1.1>}
               plane {y, -StrokeWidth + Border rotate Angle * z translate Y2 * y}
            } //intersection
         } //difference
         plane {y, -Border rotate Angle * z translate Y2 * y}
      } //intersection
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeDigit_4

#macro MakeDigit_5 (Border)

   #declare Character = object {
      #local R = Height_Lower * .46;
      #local Angle = 11;
      #local ClipAngle = 10;
      #local X1 = -.14;
      #local TopPart = object {
         intersection {
            union {
               box {<-R + Border, 0, 0> <-R + StrokeWidth - Border, Height_Upper - R + .1, 1> rotate -Angle * z}
               box {<X1, Height_Upper - R - StrokeWidth + Border, 0> <R - .08 - Border, Height_Upper - R + .1, 1>}
            } //union
            plane {y, Height_Upper - R - Border}
         } //intersection
      } //object
      #local BottomPart = object {
         difference {
            cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
            cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
         } //difference
      } //object
      difference {
         union {
            object {TopPart}
            object {BottomPart}
         } //union
         intersection {
            box {<-R - .1, -R - .1, -.2> <0, R + .1, 1.2>}
            plane {y, -Border inverse rotate ClipAngle * z}
            plane {y, Border rotate -ClipAngle * z translate .07 * y}
         } //intersection
      } //difference
      translate <R * cos (radians (ClipAngle)), R, 0>
   } //object

   #declare CharacterWidth = R + R * cos (radians (ClipAngle));

#end //#macro MakeDigit_5

#macro MakeDigit_6 (Border)

   #local Spin = false;

   MakeGenericDigit_69 (Border, Spin)

#end //#macro MakeDigit_6

#macro MakeDigit_7 (Border)

   #declare Character = object {
      #local Width = Height_Upper * 2/3;
      #local R = 1.8;
      #local XC = Width + 1.47;
      #local YC = -.2;
      difference {
         box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
         cylinder {<XC, YC, -.2> <XC, YC, 1.2>, R + Border}
         difference {
            box {<-.1, -.1, -.1> <Width + .1, Height_Upper - StrokeWidth + Border, 1.1>}
            cylinder {<XC, YC, -.2> <XC, YC, 1.2>, R + StrokeWidth - Border}
         } //difference
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeDigit_7

#macro MakeDigit_8 (Border)

   #declare Character = object {
      #local R1 = .185 + SW2;
      #local R2 = (Height_Upper - R1 * 2) / 2 + SW2;
      union {
         difference {
            cylinder {<R2, Height_Upper - R1, 0> <R2, Height_Upper - R1, 1>, R1 - Border}
            cylinder {<R2, Height_Upper - R1, -.1> <R2, Height_Upper - R1, 1.1>, R1 - StrokeWidth + Border}
         } //difference
         difference {
            cylinder {<R2, R2, 0> <R2, R2, 1>, R2 - Border}
            cylinder {<R2, R2, -.1> <R2, R2, 1.1>, R2 - StrokeWidth + Border}
         } //difference
      } //union
   } //object

   #declare CharacterWidth = R2 * 2;

#end //#macro MakeDigit_8

#macro MakeDigit_9 (Border)

   #local Spin = true;

   MakeGenericDigit_69 (Border, Spin)

#end //#macro MakeDigit_9

#macro MakeA1 (Border)

   #declare Character = object {
      #local Angle = 70;
      #local W = SW2 / sin (radians (Angle));
      #local W = W + Height_Upper / tan (radians (Angle));
      #local CrossbarHeight = Height_Upper * .24;
      #local Cutout = object {
         intersection {
            box {<-.5, 0, -.1> <.5, Height_Upper + .1, 1.1>}
            plane {y, SW2 - Border inverse rotate -Angle * z}
            plane {y, SW2 - Border inverse rotate Angle * z}
         } //intersection
      } //object
      union {
         difference {
            intersection {
               box {<-.6, Border, 0> <.6, Height_Upper - Border, 1>}
               plane {y, -SW2 + Border inverse rotate -Angle * z}
               plane {y, -SW2 + Border inverse rotate Angle * z}
            } //intersection
            object {Cutout}
            rotate 180 * z
            translate Height_Upper * y
         } //difference
         intersection {
            box {<-W, CrossbarHeight + Border, 0> <W, CrossbarHeight + StrokeWidth - Border, 1>}
            plane {y, 0 rotate Angle * z translate (-W + SW2) * x}
            plane {y, 0 rotate -Angle * z translate (W - SW2) * x}
         } //intersection
      } //union
      translate W * x
   } //object

   #declare CharacterWidth = W * 2;

#end //#macro MakeA1

#macro MakeB1 (Border)

   #declare Character = object {
      #local Width = .38;
      #local BarHeight = Height_Upper * .54;
      union {
         difference {
            box {<Border, Border, 0> <Width, Height_Upper - Border, 1>}
            box {<StrokeWidth - Border, StrokeWidth - Border, -.1> <Width + .1, BarHeight - SW2 + Border, 1.1>}
            box {<StrokeWidth - Border, Height_Upper - StrokeWidth + Border, -.1> <Width + .1, BarHeight + SW2 - Border, 1.1>}
         } //difference
         cylinder {<Width, SW2, 0> <Width, SW2, 1>, SW2 - Border}
         cylinder {<Width, BarHeight, 0> <Width, BarHeight, 1>, SW2 - Border}
         cylinder {<Width, Height_Upper - SW2, 0> <Width, Height_Upper - SW2, 1>, SW2 - Border}
         #local Y1 = (BarHeight + SW2) / 2;
         #local Y2 = (Height_Upper + (BarHeight - SW2)) / 2;
         #local R1 = Y1;
         #local R2 = Height_Upper - Y2;
         #local Bulge1 = object {
            intersection {
               difference {
                  cylinder {<Width, Y1, 0> <Width, Y1, 1>, R1 - Border}
                  cylinder {<Width, Y1, -.1> <Width, Y1, 1.1>, R1 - StrokeWidth + Border}
               } //difference
               plane {x, Width inverse}
            } //intersection
         } //object
         #local Bulge2 = object {
            intersection {
               difference {
                  cylinder {<Width, Y2, 0> <Width, Y2, 1>, R2 - Border}
                  cylinder {<Width, Y2, -.1> <Width, Y2, 1.1>, R2 - StrokeWidth + Border}
               } //difference
               plane {x, Width inverse}
            } //intersection
         } //object
         object {Bulge1}
         object {Bulge2}
      } //union
   } //object

   #declare CharacterWidth = Width + R1;

#end //#macro MakeB1

#macro MakeC1 (Border)

   #declare Character = object {
      #local R = Height_Upper / 2;
      #local ClipAngle1_Top = 32; //The angle (from the center) that the clipping will begin; the clipping plane will be tranlated here
      #local ClipAngle1_Bottom = 26; //The angle (from the center) that the clipping will begin; the clipping plane will be tranlated here
      #local ClipAngle2 = 20; //The angle that the ends will be clipped at
      #local WidthFactor = .91;
      difference {
         cylinder {<0, 0, 0> <0, 0, 1>, 1 scale <R * WidthFactor - Border, R - Border, 1>}
         cylinder {<0, 0, -.1> <0, 0, 1.1>, 1 scale <R * WidthFactor - StrokeWidth + Border, R - StrokeWidth + Border, 1>}
         #local ClipX_Top = R * WidthFactor * cos (radians (ClipAngle1_Top));
         #local ClipX_Bottom = R * WidthFactor * cos (radians (ClipAngle1_Bottom));
         #local ClipY_Top = R * sin (radians (ClipAngle1_Top));
         #local ClipY_Bottom = R * sin (radians (ClipAngle1_Bottom));
         intersection {
            box {<0, -R, -.2> <R + .1, R, 1.2>}
            plane {y, Border rotate ClipAngle2 * z translate <ClipX_Top, ClipY_Top, 0>}
            plane {y, -Border inverse rotate -ClipAngle2 * z translate <ClipX_Bottom, -ClipY_Bottom, 0>}
         } //intersection
      } //difference
      translate <R * WidthFactor, R, 0>
   } //object

   #declare CharacterWidth = R * WidthFactor + ClipX_Bottom;

#end //#macro MakeC1

#macro MakeD1 (Border)

   #declare Character = object {
      #local Width = .35;
      #local R = Height_Upper / 2;
      #local WidthFactor = .94;
      union {
         difference {
            box {<Border, Border, 0> <Width, Height_Upper - Border, 1>}
            box {<StrokeWidth - Border, StrokeWidth - Border, -.1> <Width + .1, Height_Upper - StrokeWidth + Border, 1.1>}
         } //difference
         cylinder {<Width, SW2, 0> <Width, SW2, 1>, SW2 - Border}
         cylinder {<Width, Height_Upper - SW2, 0> <Width, Height_Upper - SW2, 1>, SW2 - Border}
         #local Bulge = object {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, 1 scale <R * WidthFactor - Border, R - Border, 1>}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, 1 scale <R * WidthFactor - StrokeWidth + Border, R - StrokeWidth + Border, 1>}
                  translate <Width, Height_Upper / 2, 0>
               } //difference
               plane {x, Width inverse}
            } //intersection
         } //object
         object {Bulge}
      } //union
   } //object

   #declare CharacterWidth = Width + R * WidthFactor;

#end //#macro MakeD1

#macro MakeE1 (Border)

   #declare Character = object {
      #local Width = .68;
      #local ShortenAmount = .03;
      #local BarHeight = Height_Upper * .52;
      difference {
         box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
         box {<StrokeWidth - Border, StrokeWidth - Border, -.1> <Width + .1, BarHeight - SW2 + Border, 1.1>}
         box {<StrokeWidth - Border, Height_Upper - StrokeWidth + Border, -.1> <Width + .1, BarHeight + SW2 - Border, 1.1>}
         box {<Width - ShortenAmount - Border, BarHeight - SW2 - .1, -.2> <Width + .2, BarHeight + SW2 + .1, 1.2>}
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeE1

#macro MakeF1 (Border)

   #declare Character = object {
      #local Width = .64;
      #local ShortenAmount = .08;
      #local BarHeight = Height_Upper * .52;
      difference {
         box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
         box {<StrokeWidth - Border, -.1, -.1> <Width + .1, BarHeight - SW2 + Border, 1.1>}
         box {<StrokeWidth - Border, Height_Upper - StrokeWidth + Border, -.1> <Width + .1, BarHeight + SW2 - Border, 1.1>}
         box {<Width - ShortenAmount - Border, BarHeight - SW2 - .1, -.2> <Width + .2, BarHeight + SW2 + .1, 1.2>}
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeF1

#macro MakeG1 (Border)

   #declare Character = object {
      #local R1 = Height_Upper / 2;
      #local R2 = R1 * 1.2;
      #local A1 = 40;
      #local A3 = 48;
      #local HookWidth = StrokeWidth + .045;
      #local HookHeight = Height_Upper * .56;
      #local X2 = R2 * cos (radians (-A3));
      #local Y2 = R2 * sin (radians (-A3));
      #local A4 = degrees (acos ((X2 - StrokeWidth) / (R2 - StrokeWidth)));
      #local X3 = (R2 - StrokeWidth) * cos (radians (-A4));
      #local Y3 = (R2 - StrokeWidth) * sin (radians (-A4));
      #local A5 = abs (degrees (atan ((Y3 - Y2) / (X3 - X2))));
      #local X4 = X2 - Border;
      #local A6 = degrees (acos (X4 / (R2 - Border)));
      #local Y4 = -(R2 - Border) * sin (radians (A6));
      #local X5 = X3 + Border;
      #local A7 = degrees (acos (X5 / (R2 - StrokeWidth + Border)));
      #local Y5 = -(R2 - StrokeWidth + Border) * sin (radians (A7));
      #local A6 = abs (degrees (atan ((Y5 - Y4) / (X5 - X4))));
      #local RoundPart_Left = object {
         difference {
            cylinder {<0, 0, 0> <0, 0, 1>, R1 - Border}
            cylinder {<0, 0, -.1> <0, 0, 1.1>, R1 - StrokeWidth + Border}
            intersection {
               box {<0, -R1 - .1, -.1> <R1 + .1, R1, 1.1>}
               plane {y, Border rotate A1 * z}
            } //intersection
         } //difference
      } //object
      #local RoundPart_Right = object {
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R2 - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 - StrokeWidth + Border}
            } //difference
            plane {x, 0 inverse}
            plane {y, 0 rotate -A6 * z translate <X4, Y4, 0>}
         } //intersection
      } //object
      #local Hook = object {
         difference {
            box {<-StrokeWidth - HookWidth + Border, 0, 0> <-Border, HookHeight - Border, 1>}
            box {<-StrokeWidth - HookWidth - .1, -.1, -.1> <-StrokeWidth + Border, HookHeight - StrokeWidth + Border, 1.1>}
         } //difference
         translate <X2, -R2, 0>
      } //object
      #local Hook = object {
         intersection {
            object {Hook}
            plane {y, 0 inverse translate Y4 * y}
         } //intersection
      } //object
      union {
         object {RoundPart_Left}
         cylinder {<0, -R1 + SW2, 0> <0, -R1 + SW2, 1>, SW2 - Border}
         object {RoundPart_Right translate (R2 - R1) * y}
         object {Hook translate (R2 - R1) * y}
      } //union
      translate <R1, R1, 0>
   } //object

   #declare CharacterWidth = R1 + R2 * cos (radians (-A3));

#end //#macro MakeG1

#macro MakeH1 (Border)

   #declare Character = object {
      #local Width = .76;
      #local BarHeight = Height_Upper * .52;
      difference {
         box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
         box {<StrokeWidth - Border, -.1, -.1> <Width - StrokeWidth + Border, BarHeight - SW2 + Border, 1.1>}
         box {<StrokeWidth - Border, BarHeight + SW2 - Border, -.1> <Width - StrokeWidth + Border, Height_Upper + .1, 1.1>}
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeH1

#macro MakeI1 (Border)

   #declare Character = object {
      box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
   } //object

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakeI1

#macro MakeJ1 (Border)

   #declare Character = object {
      #local R = .32;
      #local ClipAngle = 10;
      #local Hook = object {
         difference {
            union {
               box {<-R + Border, 0, 0> <-R + StrokeWidth - Border, Height_Lower, 1>}
               cylinder {<-R + SW2, 0, 0> <-R + SW2, 0, 1>, SW2 - Border}
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
                  } //difference
                  plane {y, 0}
               } //intersection
            } //union
            intersection {
               box {<-R - .1, -R - .1, -.2> <0, Height_Lower + .1, 1.2>}
               plane {y, -Border inverse rotate ClipAngle * z translate .1 * y}
            } //intersection
         } //difference
      } //object
      union {
         box {<R - StrokeWidth + Border, 0, 0> <R - Border, Height_Upper - R - Border, 1>}
         cylinder {<R - SW2, 0, 0> <R - SW2, 0, 1>, SW2 - Border}
         object {Hook}
      } //union
      translate <R, R, 0>
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeJ1

#macro MakeK1 (Border)

   #declare Character = object {
      #local A1 = 45;
      #local X1 = .57;
      #local A2 = 34;
      #local X2 = .63;
      #local Extension1 = object {
         intersection {
            box {<SW2, 0, 0> <.9, Height_Upper - Border, 1>}
            plane {x, Border inverse rotate -A1 * z translate <X1, Height_Upper, 0>}
            plane {x, StrokeWidth - Border rotate -A1 * z translate <X1, Height_Upper, 0>}
         } //intersection
      } //object
      #local Extension2 = object {
         intersection {
            box {<StrokeWidth, Border, 0> <.9, Height_Upper - Border, 1>}
            plane {x, SW2 inverse rotate -A1 * z translate <X1, Height_Upper, 0>}
            plane {x, Border inverse rotate A2 * z translate X2 * x}
            plane {x, StrokeWidth - Border rotate A2 * z translate X2 * x}
         } //intersection
      } //object
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
         object {Extension1}
         object {Extension2}
      } //union
   } //object

   #declare CharacterWidth = X2 + StrokeWidth / cos (radians (A2));

#end //#macro MakeK1

#macro MakeL1 (Border)

   #declare Character = object {
      #local Width = .64;
      difference {
         box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
         box {<StrokeWidth - Border, StrokeWidth - Border, -.1> <Width + .1, Height_Upper + .1, 1.1>}
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeL1

#macro MakeM1 (Border)

   #declare Character = object {
      #local Angle = 72;
      #local W1 = SW2 / sin (radians (Angle));
      #local W2 = Height_Upper / sin (radians (Angle)) * sin (radians (90 - Angle));
      #local X1 = -W1 + W2;
      #local X2 = X1 + .07 + StrokeWidth;
      #local Cutout_Top = object {
         intersection {
            box {<-.5, 0, -.1> <.5, Height_Upper + .1, 1.1>}
            plane {y, SW2 - Border inverse rotate -Angle * z}
            plane {y, SW2 - Border inverse rotate Angle * z}
         } //intersection
      } //object
      #local Cutout_Bottom_Left = object {
         intersection {
            box {<-X2 + StrokeWidth - Border, -.1, -.1> <0, Height_Upper, 1.1>}
            plane {y, -SW2 + Border rotate -Angle * z}
         } //intersection
      } //object
      #local Cutout_Bottom_Right = object {
         intersection {
            box {<0, -.1, -.1> <X2 - StrokeWidth + Border, Height_Upper, 1.1>}
            plane {y, -SW2 + Border rotate Angle * z}
         } //intersection
      } //object
      difference {
         box {<-X2 + Border, Border, 0> <X2 - Border, Height_Upper - Border, 1>}
         object {Cutout_Top}
         object {Cutout_Bottom_Left}
         object {Cutout_Bottom_Right}
      } //difference
      translate X2 * x
   } //object

   #declare CharacterWidth = X2 * 2;

#end //#macro MakeM1

#macro MakeN1 (Border)

   #local Height = Height_Upper * .8;
   #local Width = Height_Upper;

   #declare Character = object { //"Z" rotated sideways
      MakeGenericZ (Border, Height, Width)
      Character
      rotate -90 * z
      translate Width * y
   } //object

   #declare CharacterWidth = Height;

#end //#macro MakeN1

#macro MakeO1 (Border)

   #declare Character = object {
      #local R = Height_Upper / 2;
      #local WidthFactor = .94;
      difference {
         cylinder {<0, 0, 0> <0, 0, 1>, 1 scale <R * WidthFactor - Border, R - Border, 1>}
         cylinder {<0, 0, -.1> <0, 0, 1.1>, 1 scale <R * WidthFactor - StrokeWidth + Border, R - StrokeWidth + Border, 1>}
      } //difference
      translate <R * WidthFactor, R, 0>
   } //object

   #declare CharacterWidth = R * WidthFactor * 2;

#end //#macro MakeO1

#macro MakeP1 (Border)

   #declare Character = object {
      #local Width = .38;
      #local BarHeight = Height_Upper * .46;
      union {
         difference {
            box {<Border, Border, 0> <Width, Height_Upper - Border, 1>}
            box {<StrokeWidth - Border, -.1, -.1> <Width + .1, BarHeight - SW2 + Border, 1.1>}
            box {<StrokeWidth - Border, Height_Upper - StrokeWidth + Border, -.1> <Width + .1, BarHeight + SW2 - Border, 1.1>}
         } //difference
         cylinder {<Width, BarHeight, 0> <Width, BarHeight, 1>, SW2 - Border}
         cylinder {<Width, Height_Upper - SW2, 0> <Width, Height_Upper - SW2, 1>, SW2 - Border}
         #local Y2 = (Height_Upper + (BarHeight - SW2)) / 2;
         #local R = Height_Upper - Y2;
         #local Bulge = object {
            intersection {
               difference {
                  cylinder {<Width, Y2, 0> <Width, Y2, 1>, R - Border}
                  cylinder {<Width, Y2, -.1> <Width, Y2, 1.1>, R - StrokeWidth + Border}
               } //difference
               plane {x, Width inverse}
            } //intersection
         } //object
         object {Bulge}
      } //union
   } //object

   #declare CharacterWidth = Width + R;

#end //#macro MakeP1

#macro MakeQ1 (Border)

   #declare Character = object {
      #local R = Height_Upper / 2;
      #local TailR = R;
      #local TailAngle = 42;
      #local Tail = object {
         union {
            intersection {
               difference {
                  cylinder {<-TailR + SW2, 0, 0> <-TailR + SW2, 0, 1>, TailR - Border}
                  cylinder {<-TailR + SW2, 0, -.1> <-TailR + SW2, 0, 1.1>, TailR - StrokeWidth + Border}
               } //difference
               plane {y, 0 inverse}
               plane {y, -Border rotate TailAngle * z translate (-TailR + SW2) * x}
            } //intersection
            intersection {
               difference {
                  cylinder {<TailR - SW2, 0, 0> <TailR - SW2, 0, 1>, TailR - Border}
                  cylinder {<TailR - SW2, 0, -.1> <TailR - SW2, 0, 1.1>, TailR - StrokeWidth + Border}
               } //difference
               plane {y, 0}
               plane {y, Border inverse rotate TailAngle * z translate (TailR - SW2) * x}
            } //intersection
            cylinder {<0, 0, 0> <0, 0, 1>, SW2 - Border}
         } //union
      } //object
      union {
         object {Tail rotate 40 * z translate <R * .45, R * -.62, 0>}
         #local WidthFactor = .94;
         difference {
            cylinder {<0, 0, 0> <0, 0, 1>, 1 scale <R * WidthFactor - Border, R - Border, 1>}
            cylinder {<0, 0, -.1> <0, 0, 1.1>, 1 scale <R * WidthFactor - StrokeWidth + Border, R - StrokeWidth + Border, 1>}
         } //difference
      } //union
      translate <R * WidthFactor, R, 0>
   } //object

   #declare CharacterWidth = R * WidthFactor + .4908851; //* * * WRONG, BUT NOT IMPORTANT * * *

#end //#macro MakeQ1

#macro MakeR1 (Border)

   #declare Character = object {
      #local Width = .42;
      #local BarHeight = Height_Upper * .46;
      #local LegX = .6;
      union {
         difference {
            box {<Border, Border, 0> <Width, Height_Upper - Border, 1>}
            box {<StrokeWidth - Border, -.1, -.1> <Width + .1, BarHeight - SW2 + Border, 1.1>}
            box {<StrokeWidth - Border, Height_Upper - StrokeWidth + Border, -.1> <Width + .1, BarHeight + SW2 - Border, 1.1>}
         } //difference
         cylinder {<Width, BarHeight, 0> <Width, BarHeight, 1>, SW2 - Border}
         cylinder {<Width, Height_Upper - SW2, 0> <Width, Height_Upper - SW2, 1>, SW2 - Border}
         #local Y2 = (Height_Upper + (BarHeight - SW2)) / 2;
         #local R = Height_Upper - Y2;
         #local Bulge = object {
            intersection {
               difference {
                  cylinder {<Width, Y2, 0> <Width, Y2, 1>, R - Border}
                  cylinder {<Width, Y2, -.1> <Width, Y2, 1.1>, R - StrokeWidth + Border}
               } //difference
               plane {x, Width inverse}
            } //intersection
         } //object
         #local Leg = object {
            intersection {
               box {<StrokeWidth, Border, 0> <StrokeWidth + .7, BarHeight, 1>}
               plane {x, Border inverse rotate 35 * z translate LegX * x}
               plane {x, StrokeWidth - Border rotate 35 * z translate LegX * x}
            } //intersection
         } //object
         object {Bulge}
         object {Leg}
      } //union
   } //object

   #declare CharacterWidth = LegX + StrokeWidth / cos (radians (35));

#end //#macro MakeR1

#macro MakeS1 (Border)

   #local Height = Height_Upper;

   MakeGenericS (Border, Height, true)

#end //#macro MakeS1

#macro MakeT1 (Border)

   #declare Character = object {
      #local Width = .78;
      difference {
         box {<Border, Border, 0> <Width - Border, Height_Upper - Border, 1>}
         box {<-.1, -.1, -.1> <Width / 2 - SW2 + Border, Height_Upper - StrokeWidth + Border, 1.1>}
         box {<Width / 2 + SW2 - Border, -.1, -.1> <Width + .1, Height_Upper - StrokeWidth + Border, 1.1>}
      } //difference
   } //object

   #declare CharacterWidth = Width;

#end //#macro MakeT1

#macro MakeU1 (Border)

   #declare Character = object {
      #local R = .4;
      union {
         box {<-R + Border, 0, 0> <-R + StrokeWidth - Border, Height_Upper - R - Border, 1>}
         box {<R - StrokeWidth + Border, 0, 0> <R - Border, Height_Upper - R - Border, 1>}
         cylinder {<-R + SW2, 0, 0> <-R + SW2, 0, 1>, SW2 - Border}
         cylinder {<R - SW2, 0, 0> <R - SW2, 0, 1>, SW2 - Border}
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
            } //difference
            plane {y, 0}
         } //intersection
      } //union
      translate <R, R, 0>
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeU1

#macro MakeV1 (Border)

   #local Height = Height_Upper;
   #local Angle = 70;

   MakeGenericV (Border, Height, Angle)

#end //#macro MakeV1

#macro MakeW1 (Border)

   #local Height = Height_Upper;
   #local Angle = 74;

   MakeGenericW (Border, Height, Angle)

#end //#macro MakeW1

#macro MakeX1 (Border)

   #local Height = Height_Upper;
   #local Angle = 54;

   MakeGenericX (Border, Height, Angle)

#end //#macro MakeX1

#macro MakeY1 (Border)

   #declare Character = object {
      #local Angle = 55;
      #local SplitHeight = Height_Upper * .43;
      #local X1 = (Height_Upper - SplitHeight) / tan (radians (Angle));
      #local W = SW2 + X1;
      #local Cutout_Left = object {
         intersection {
            box {<-W - .2, -.1, -.1> <-SW2 + Border, Height_Upper + .1, 1.1>}
            plane {y, Border rotate -Angle * z translate <-W, Height_Upper, 0>}
         } //intersection
      } //object
      #local Cutout_Right = object {
         intersection {
            box {<SW2 - Border, -.1, -.1> <W + .2, Height_Upper + .1, 1.1>}
            plane {y, Border rotate Angle * z translate <W, Height_Upper, 0>}
         } //intersection
      } //object
      #local Cutout_Center = object {
         intersection {
            box {<-W, SplitHeight, -.1> <W, Height_Upper + .1, 1.1>}
            plane {y, StrokeWidth - Border inverse rotate -Angle * z translate <-W, Height_Upper, 0>}
            plane {y, StrokeWidth - Border inverse rotate Angle * z translate <W, Height_Upper, 0>}
         } //intersection
      } //object
      difference {
         box {<-W - .1, Border, 0> <W + .1, Height_Upper - Border, 1>}
         object {Cutout_Left}
         object {Cutout_Right}
         object {Cutout_Center}
      } //difference
      translate W * x
   } //object

   #declare CharacterWidth = W * 2;

#end //#macro MakeY1

#macro MakeZ1 (Border)

   #local Height = Height_Upper;
   #local Width = Height_Upper * .75;

   MakeGenericZ (Border, Height, Width)

#end //#macro MakeZ1

#macro MakeA2 (Border)

   #declare Character = object {
      #local TailHeight = .18;
      #local R1 = .6;
      #local R2 = .25;
      #local R3 = .8;
      #local R4 = R2;
      #local R5 = .39;
      #local R6 = .65;
      #local R7 = .23;
      #local R8 = 1;
      #local R9 = R8;
      #local A1 = 8;
      #local A2 = 0;
      #local A3 = 8;
      #local A4 = 11;
      #local A5 = 1;
      #local X2 = (R2 - SW2) * cos (radians (90 - A1));
      #local Y2 = (R2 - SW2) * sin (radians (90 - A1));
      #local X2A = (R3 - SW2) * cos (radians (90 - A1));
      #local Y2A = (R3 - SW2) * sin (radians (90 - A1));
      #local X3A = (R3 - SW2) * cos (radians (90 + A1));
      #local Y3A = (R3 - SW2) * sin (radians (90 + A1));
      #local X3 = (R4 - SW2) * cos (radians (90 + A1));
      #local Y3 = (R4 - SW2) * sin (radians (90 + A1));
      #local X4 = (R4 - StrokeWidth) * cos (radians (180 - A2));
      #local Y4 = (R4 - StrokeWidth) * sin (radians (180 - A2));
      #local TopHeight = R3 + Y2 - Y2A;
      #local X1 = 0;
      #local Y1 = Height_Lower - TopHeight;
      #local X5 = 0;
      #local Y5 = -R5 + SW2;
      #local X5A = 0;
      #local Y5A = -R6 + SW2;
      #local X6 = (R6 - SW2) * cos (radians (270 - A3));
      #local Y6 = (R6 - SW2) * sin (radians (270 - A3));
      #local X6A = (R7 - SW2) * cos (radians (270 - A3));
      #local Y6A = (R7 - SW2) * sin (radians (270 - A3));
      #local X7 = (R7 - SW2) * cos (radians (90 + A4));
      #local Y7 = (R7 - SW2) * sin (radians (90 + A4));
      #local X7A = (R8 - SW2) * cos (radians (90 + A4));
      #local Y7A = (R8 - SW2) * sin (radians (90 + A4));
      #local X8 = (R8 - SW2) * cos (radians (90 + A5));
      #local Y8 = (R8 - SW2) * sin (radians (90 + A5));
      #local X8A = (R9 - SW2) * cos (radians (90 + A5 + 180));
      #local Y8A = (R9 - SW2) * sin (radians (90 + A5 + 180));
      #local TailWidth = R1 - StrokeWidth - sqrt (pow (R1 - StrokeWidth, 2) - pow (TailHeight, 2));
      #local BottomWidth = R5 + R6 * abs (cos (radians (270 - A3))) + R7 - R7 * abs (cos (radians (270 - A3)));
      #local Top = object {
         #local Right = object {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R2 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 - StrokeWidth + Border}
               } //difference
               plane {y, 0 inverse}
               plane {y, 0 rotate (90 - A1) * z}
            } //intersection
         } //object
         #local Center = object {
            union {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R3 - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R3 - StrokeWidth + Border}
                  } //difference
                  plane {y, 0 inverse rotate (90 - A1) * z}
                  plane {y, 0 inverse rotate (-90 + A1) * z}
               } //intersection
               cylinder {<X2A, Y2A, 0> <X2A, Y2A, 1>, SW2 - Border}
               cylinder {<X3A, Y3A, 0> <X3A, Y3A, 1>, SW2 - Border}
            } //union
            translate <X2 - X2A, Y2 - Y2A, 0>
            #local X3A = X3A + X2 - X2A;
            #local Y3A = Y3A + Y2 - Y2A;
         } //object
         #local Left = object {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R4 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R4 - StrokeWidth + Border}
               } //difference
               plane {y, 0 inverse rotate (90 + A1) * z}
               plane {y, Border inverse rotate -7 * z translate <X4, Y4, 0>}
            } //intersection
            translate <X3A - X3, Y3A - Y3, 0>
         } //object
         union {
            object {Right}
            object {Center}
            object {Left}
         } //union
         translate <-R2 + SW2, Y1, 0>
      } //object
      #local Tail = object {
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R1 - Border}
               cylinder {<0, 0, -.1> <0, 0, 1.1>, R1 - StrokeWidth + Border}
            } //difference
            plane {y, 0}
            plane {y, -TailHeight + Border inverse}
            plane {x, 0}
         } //intersection
         translate <R1 - SW2, TailHeight, 0>
      } //object
      #local Side = object {
         union {
            box {<-SW2 + Border, TailHeight, 0> <SW2 - Border, Y1, 1>}
            cylinder {<X1, TailHeight, 0>, <X1, TailHeight, 1> SW2 - Border}
            cylinder {<X1, Y1, 0>, <X1, Y1, 1> SW2 - Border}
         } //union
      } //object
      #local Bottom = object {
         union {
            #local Segment0 = object {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R5 - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R5 - StrokeWidth + Border}
                  } //difference
                  plane {y, 0}
                  plane {x, 0 inverse}
               } //intersection
            } //object
            #local Segment1 = object {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R6 - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R6 - StrokeWidth + Border}
                  } //difference
                  plane {x, 0}
                  plane {x, 0 inverse rotate -A3 * z}
               } //intersection
               translate <X5 - X5A, Y5 - Y5A, 0>
               #local X6 = X6 + X5 - X5A;
               #local Y6 = Y6 + Y5 - Y5A;
            } //object
            #local Segment2 = object {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R7 - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R7 - StrokeWidth + Border}
                  } //difference
                  plane {x, 0 rotate -A3 * z}
                  plane {x, 0 rotate A4 * z}
               } //intersection
               translate <X6 - X6A, Y6 - Y6A, 0>
               #local X7 = X7 + X6 - X6A;
               #local Y7 = Y7 + Y6 - Y6A;
            } //object
            #local Segment3 = object {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R8 - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R8 - StrokeWidth + Border}
                  } //difference
                  plane {x, 0 inverse rotate A4 * z}
                  plane {x, 0 rotate A5 * z}
               } //intersection
               translate <X7 - X7A, Y7 - Y7A, 0>
               #local X8 = X8 + X7 - X7A;
               #local Y8 = Y8 + Y7 - Y7A;
            } //object
            #local Segment4 = object {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R9 - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R9 - StrokeWidth + Border}
                  } //difference
                  plane {x, 0 inverse rotate A5 * z}
                  plane {y, 0}
               } //intersection
               translate <X8 - X8A, Y8 - Y8A, 0>
            } //object
            object {Segment0}
            object {Segment1}
            object {Segment2}
            object {Segment3}
            object {Segment4}
            cylinder {<X5, Y5, 0> <X5, Y5, 1>, SW2 - Border}
            cylinder {<X6, Y6, 0> <X6, Y6, 1>, SW2 - Border}
            cylinder {<X7, Y7, 0> <X7, Y7, 1>, SW2 - Border}
            cylinder {<X8, Y8, 0> <X8, Y8, 1>, SW2 - Border}
         } //union
         translate <-R5 + SW2, R5, 0>
      } //object
      #local Bottom = object {
         intersection {
            object {Bottom}
            plane {x, 0}
         } //intersection
      } //object
      union {
         object {Side}
         object {Tail}
         object {Top}
         object {Bottom}
      } //union
      translate (BottomWidth - SW2) * x
   } //object

   #declare CharacterWidth = BottomWidth + TailWidth;

#end //#macro MakeA2

#macro MakeB2 (Border)

   #declare Character = object {
      #local R = Height_Lower / 2;
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1> translate -R * x}
         difference {
            cylinder {<0, R, 0> <0, R, 1>, R - Border}
            cylinder {<0, R, -.1> <0, R, 1.1>, R - StrokeWidth + Border}
         } //difference
      } //union
      translate R * x
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeB2

#macro MakeC2 (Border)

   #declare Character = object {
      #local R = Height_Lower / 2;
      #local ClipAngle = 25;
      difference {
         cylinder {<0, R, 0> <0, R, 1>, R - Border}
         cylinder {<0, R, -.1> <0, R, 1.1>, R - StrokeWidth + Border}
         intersection {
            box {<0, 0, -.2> <R + .1, Height_Upper, 1.2>}
            plane {y, Border rotate ClipAngle * z translate R * y}
            plane {y, -Border inverse rotate -ClipAngle * z translate R * y}
         } //intersection
      } //difference
      translate R * x
   } //object

   #declare CharacterWidth = R + R * cos (radians (ClipAngle));

#end //#macro MakeC2

#macro MakeD2 (Border)

   #declare Character = object {
      #local R = Height_Lower / 2;
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1> translate (R - StrokeWidth) * x}
         difference {
            cylinder {<0, R, 0> <0, R, 1>, R - Border}
            cylinder {<0, R, -.1> <0, R, 1.1>, R - StrokeWidth + Border}
         } //difference
      } //union
      translate R * x
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeD2

#macro MakeE2 (Border)

   #declare Character = object {
      #local R = Height_Lower / 2;
      #local Hook = object {
         #local R1 = R - Border;
         #local R2 = R - StrokeWidth + Border;
         #local X1 = sqrt (R1 * R1 - (SW2 - Border) * (SW2 - Border));
         #local X2 = sqrt (R2 * R2 - (SW2 - Border) * (SW2 - Border));
         #local Y1 = -SW2 + Border;
         #local Y2 = -SW2 + Border;
         #local A1 = degrees (asin ((SW2 - Border) / R1));
         #local A2 = degrees (asin ((SW2 - Border) / R2)) + 180;
         #local XC1 = -X1 + (SW2 - Border) * cos (radians (A1));
         #local YC1 = Y1 + (SW2 - Border) * sin (radians (A1));
         #local XC2 = -X2 + (SW2 - Border) * cos (radians (A2));
         #local YC2 = Y2 + (SW2 - Border) * sin (radians (A2));
         difference {
            union {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
                  } //difference
                  plane {y, -SW2 + Border}
               } //intersection
               cylinder {<XC1, YC1, 0> <XC1, YC1, 1>, SW2 - Border}
               cylinder {<XC2, YC2, 0> <XC2, YC2, 1>, SW2 - Border}
            } //union
            intersection {
               box {<0, -R, -.2> <R + .1, 0, 1.2>}
               plane {y, -Border inverse rotate -10 * z translate (-R * .3) * y}
            } //intersection
         }//difference
      } //object
      union {
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
               intersection {
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
                  plane {y, SW2 - Border inverse}
               } //intersection
            } //difference
            plane {y, -SW2 + Border inverse}
         } //intersection
         object {Hook}
      } //union
      translate <R, R, 0>
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeE2

#macro MakeF2 (Border)

   #declare Character = object {
      #local BarWidth = StrokeWidth * 2.05;
      #local XOffset = BarWidth * .22;
      #local BarSW = StrokeWidth * .9;
      #local R = .22;
      #local HookExtension = .16;
      #local ClipAngle = 10;
      #local Hook = object {
         intersection {
            union {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
                  } //difference
                  plane {y, 0 inverse}
                  plane {x, 0}
               } //intersection
               cylinder {<0, R - SW2, 0> <0, R - SW2, 1>, SW2 - Border}
               box {<0, R - StrokeWidth + Border, 0> <HookExtension + .1, R - Border, 1>}
            } //union
            plane {x, -Border rotate -ClipAngle * z translate <HookExtension, R, 0>}
         } //intersection
         translate <R, Height_Upper - R, 0>
      } //object
      #local Stem = object {
         union {
            box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - R, 1>}
            cylinder {<SW2, Height_Upper - R, 0> <SW2, Height_Upper - R, 1>, SW2 - Border}
            object {Hook}
         } //union
         translate XOffset * x
      } //object
      union {
         object {Stem}
         box {<Border, Height_Lower - BarSW + Border, 0> <BarWidth - Border, Height_Lower - Border, 1>}
      } //union
   } //object

   #declare CharacterWidth = XOffset + R + HookExtension;

#end //#macro MakeF2

#macro MakeG2 (Border)

   #declare Character = object {
      #local R1 = Height_Lower / 2;
      #local R2 = R1 * .95;
      #local ClipAngle = 7;
      #local Hook = object {
         difference {
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R2 - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R2 - StrokeWidth + Border}
               } //difference
               plane {y, 0}
            } //intersection
            intersection {
               box {<-R2 - .1, -R2, -.2> <0, .1, 1.2>}
               plane {y, -Border inverse rotate -ClipAngle * z translate -.1 * y}
            } //intersection
         } //difference
      } //object
      union {
         box {<Border, 0, 0> <StrokeWidth - Border, Height_Lower - Border, 1> translate (R1 - StrokeWidth) * x}
         cylinder {<SW2, 0, 0> <SW2, 0, 1>, SW2 - Border translate (R1 - StrokeWidth) * x}
         difference {
            cylinder {<0, R1, 0> <0, R1, 1>, R1 - Border}
            cylinder {<0, R1, -.1> <0, R1, 1.1>, R1 - StrokeWidth + Border}
         } //difference
         object {Hook translate (R1 - R2) * x}
      } //union
      translate R1 * x
   } //object

   #declare CharacterWidth = R1 * 2;

#end //#macro MakeG2

#macro MakeH2 (Border)

   #declare Character = object {
      #local R = .34;
      #local Hook = object {
         union {
            box {<Border, Border, 0> <StrokeWidth - Border, Height_Lower - R, 1>}
            cylinder {<SW2, Height_Lower - R, 0> <SW2, Height_Lower - R, 1>, SW2 - Border}
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
               } //difference
               plane {y, 0 inverse}
               translate <-R + StrokeWidth, Height_Lower - R, 0>
            } //intersection
         } //union
      } //object
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
         object {Hook translate <R * 2 - StrokeWidth, 0, 0>}
      } //union
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeH2

#macro MakeI2 (Border)

   #declare Character = object {
      #local DotHeight = StrokeWidth * 1.08;
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1>}
         box {<Border, Height_Upper - DotHeight + Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
      } //union
   } //object

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakeI2

#macro MakeJ2 (Border)

   #declare Character = object {
      #local DotHeight = StrokeWidth * 1.08;
      #local R = .22;
      #local HookExtension_X = .11;
      #local HookExtension_Y = Height_Lower / 2 * .95 - R;
      #local ClipAngle = 10;
      #local Hook = object {
         intersection {
            union {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
                  } //difference
                  plane {y, 0}
                  plane {x, 0 inverse}
               } //intersection
               cylinder {<0, -R + SW2, 0> <0, -R + SW2, 1>, SW2 - Border}
               box {<-HookExtension_X - .1, -R + Border, 0> <0, -R + StrokeWidth - Border, 1>}
            } //union
            plane {x, Border inverse rotate -ClipAngle * z translate <-HookExtension_X, -R, 0>}
         } //intersection
         translate <-R + StrokeWidth, -HookExtension_Y, 0>
      } //object
      #local Stem = object {
         union {
            box {<Border, -HookExtension_Y, 0> <StrokeWidth - Border, Height_Lower - Border, 1>}
            cylinder {<SW2, -HookExtension_Y, 0> <SW2, -HookExtension_Y, 1>, SW2 - Border}
            object {Hook}
         } //union
      } //object
      union {
         object {Stem}
         box {<Border, Height_Upper - DotHeight + Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
      } //union
      translate (R - StrokeWidth + HookExtension_X) * x
   } //object

   #declare CharacterWidth = R + HookExtension_X;

#end //#macro MakeJ2

#macro MakeK2 (Border)

   #declare Character = object {
      #local A1 = 45;
      #local X1 = .4;
      #local A2 = 34;
      #local X2 = .46;
      #local Extension1 = object {
         intersection {
            box {<SW2, 0, 0> <.7, Height_Lower - Border, 1>}
            plane {x, Border inverse rotate -A1 * z translate <X1, Height_Lower, 0>}
            plane {x, StrokeWidth - Border rotate -A1 * z translate <X1, Height_Lower, 0>}
         } //intersection
      } //object
      #local Extension2 = object {
         intersection {
            box {<StrokeWidth, Border, 0> <.7, Height_Lower - Border, 1>}
            plane {x, SW2 inverse rotate -A1 * z translate <X1, Height_Lower, 0>}
            plane {x, Border inverse rotate A2 * z translate X2 * x}
            plane {x, StrokeWidth - Border rotate A2 * z translate X2 * x}
         } //intersection
      } //object
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
         object {Extension1}
         object {Extension2}
      } //union
   } //object

   #declare CharacterWidth = X2 + StrokeWidth / cos (radians (A2));

#end //#macro MakeK2

#macro MakeL2 (Border)

   #declare Character = object {
      box {<Border, Border, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
   } //object

   #declare CharacterWidth = StrokeWidth;

#end //#macro MakeL2

#macro MakeM2 (Border)

   #declare Character = object {
      #local R = .3;
      #local Hook = object {
         union {
            box {<Border, Border, 0> <StrokeWidth - Border, Height_Lower - R, 1>}
            cylinder {<SW2, Height_Lower - R, 0> <SW2, Height_Lower - R, 1>, SW2 - Border}
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
               } //difference
               plane {y, 0 inverse}
               translate <-R + StrokeWidth, Height_Lower - R, 0>
            } //intersection
         } //union
      } //object
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1>}
         object {Hook translate <R * 2 - StrokeWidth, 0, 0>}
         object {Hook translate <R * 4 - StrokeWidth * 2, 0, 0>}
      } //union
   } //object

   #declare CharacterWidth = R * 4 - StrokeWidth;

#end //#macro MakeM2

#macro MakeN2 (Border)

   #declare Character = object {
      #local R = .34;
      #local Hook = object {
         union {
            box {<Border, Border, 0> <StrokeWidth - Border, Height_Lower - R, 1>}
            cylinder {<SW2, Height_Lower - R, 0> <SW2, Height_Lower - R, 1>, SW2 - Border}
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
               } //difference
               plane {y, 0 inverse}
               translate <-R + StrokeWidth, Height_Lower - R, 0>
            } //intersection
         } //union
      } //object
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1>}
         object {Hook translate <R * 2 - StrokeWidth, 0, 0>}
      } //union
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeN2

#macro MakeO2 (Border)

   #declare Character = object {
      #local R = Height_Lower / 2;
      difference {
         cylinder {<0, R, 0> <0, R, 1>, R - Border}
         cylinder {<0, R, -.1> <0, R, 1.1>, R - StrokeWidth + Border}
      } //difference
      translate R * x
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeO2

#macro MakeP2 (Border)

   #declare Character = object {
      #local R = Height_Lower / 2;
      union {
         box {<Border, -R * .95 + Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1> translate -R * x}
         difference {
            cylinder {<0, R, 0> <0, R, 1>, R - Border}
            cylinder {<0, R, -.1> <0, R, 1.1>, R - StrokeWidth + Border}
         } //difference
      } //union
      translate R * x
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeP2

#macro MakeQ2 (Border)

   #declare Character = object {
      #local R = Height_Lower / 2;
      union {
         box {<Border, -R * .95 + Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1> translate (R - StrokeWidth) * x}
         difference {
            cylinder {<0, R, 0> <0, R, 1>, R - Border}
            cylinder {<0, R, -.1> <0, R, 1.1>, R - StrokeWidth + Border}
         } //difference
      } //union
      translate R * x
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeQ2

#macro MakeR2 (Border)

   #declare Character = object {
      #local R = .3;
      #local ClipAngle = 70;
      #local XOffset = -.04;
      #local YOffset = .006;
      #local Hook = object {
         intersection {
            difference {
               cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
               cylinder {<XOffset, YOffset, -.1> <XOffset, YOffset, 1.1>, R - StrokeWidth + Border}
            } //difference
            plane {y, Border inverse rotate ClipAngle * z}
            plane {y, 0 inverse}
         } //intersection
      } //object
      union {
         box {<Border, Border, 0> <StrokeWidth - Border, Height_Lower - Border, 1>}
         object {Hook translate <R - XOffset, Height_Lower - .3, 0>}
      } //union
   } //object

   #declare CharacterWidth = R * cos (radians (ClipAngle)) + R - XOffset;

#end //#macro MakeR2

#macro MakeS2 (Border)

   #local Height = Height_Lower;

   MakeGenericS (Border, Height, false)

#end //#macro MakeS2

#macro MakeT2 (Border)

   #declare Character = object {
      #local BarWidth = StrokeWidth * 2;
      #local XOffset = BarWidth * .22;
      #local BarSW = StrokeWidth * .85;
      #local R = .22;
      #local HookExtension = .11;
      #local ClipAngle = 10;
      #local Hook = object {
         intersection {
            union {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
                  } //difference
                  plane {y, 0}
                  plane {x, 0}
               } //intersection
               cylinder {<0, -R + SW2, 0> <0, -R + SW2, 1>, SW2 - Border}
               box {<0, -R + Border, 0> <HookExtension + .1, -R + StrokeWidth - Border, 1>}
            } //union
            plane {x, -Border rotate ClipAngle * z translate <HookExtension, -R, 0>}
         } //intersection
         translate <R, R, 0>
      } //object
      #local Stem = object {
         union {
            intersection {
               box {<Border, R, 0> <StrokeWidth - Border, Height_Upper - Border, 1>}
               plane {x, Border inverse rotate -60 * z translate <StrokeWidth, Height_Upper, 0>}
            } //intersection
            cylinder {<SW2, R, 0> <SW2, R, 1>, SW2 - Border}
            object {Hook}
         } //union
         translate XOffset * x
      } //object
      union {
         object {Stem}
         box {<Border, Height_Lower - BarSW + Border, 0> <BarWidth - Border, Height_Lower - Border, 1>}
      } //union
   } //object

   #declare CharacterWidth = XOffset + R + HookExtension;

#end //#macro MakeT2

#macro MakeU2 (Border)

   #declare Character = object {
      #local R = .34;
      #local Hook = object {
         union {
            box {<-R + Border, 0, 0> <-R + StrokeWidth - Border, Height_Lower - R - Border, 1>}
            cylinder {<-R + SW2, 0, 0> <-R + SW2, 0, 1>, SW2 - Border}
            intersection {
               difference {
                  cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                  cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
               } //difference
               plane {y, 0}
            } //intersection
         } //union
      } //object
      union {
         box {<R - StrokeWidth + Border, -R + Border, 0> <R - Border, Height_Lower - R - Border, 1>}
         object {Hook}
      } //union
      translate <R, R, 0>
   } //object

   #declare CharacterWidth = R * 2;

#end //#macro MakeU2

#macro MakeV2 (Border)

   #local Height = Height_Lower;
   #local Angle = 70;

   MakeGenericV (Border, Height, Angle)

#end //#macro MakeV2

#macro MakeW2 (Border)

   #local Height = Height_Lower;
   #local Angle = 74;

   MakeGenericW (Border, Height, Angle)

#end //#macro MakeW2

#macro MakeX2 (Border)

   #local Height = Height_Lower;
   #local Angle = 54;

   MakeGenericX (Border, Height, Angle)

#end //#macro MakeX2

#macro MakeY2 (Border)

   #declare Character = object {
      #local R = .24;
      #local Angle = 70;
      #local HookExtension_X = .1;
      #local HookExtension_Y = Height_Lower / 2 * .95;
      #local HookExtension_Y = HookExtension_Y / sin (radians (Angle)) - R;
      #local ClipAngle = 10;
      #local X1 = -HookExtension_Y * sin (radians (90 - Angle));;
      #local Y1 = -HookExtension_Y * sin (radians (Angle));
      #local X2 = SW2 * sin (radians (Angle));
      #local Y2 = SW2 * sin (radians (90 - Angle));
      #local X2 = X1 + X2;
      #local Y2 = Y1 - Y2;
      #local X3 = (R - SW2) * sin (radians (Angle));
      #local Y3 = -(R - SW2) * sin (radians (90 - Angle));
      #local W1 = StrokeWidth / sin (radians (Angle));
      #local W2 = Height_Lower / sin (radians (Angle)) * sin (radians (90 - Angle));
      #local Hook = object {
         intersection {
            union {
               intersection {
                  difference {
                     cylinder {<0, 0, 0> <0, 0, 1>, R - Border}
                     cylinder {<0, 0, -.1> <0, 0, 1.1>, R - StrokeWidth + Border}
                  } //difference
                  plane {y, 0 inverse rotate (90 + Angle) * z}
                  plane {x, 0 inverse}
               } //intersection
               box {<-HookExtension_X, -R + Border, 0> <0, -R + StrokeWidth - Border, 1>}
               cylinder {<0, -R + SW2, 0> <0, -R + SW2, 1>, SW2 - Border}
               cylinder {<X3, Y3, 0> <X3, Y3, 1>, SW2 - Border}
            } //union
            plane {x, Border inverse rotate ClipAngle * z translate -HookExtension_X * x}
         } //intersection
      } //object
      #local Stem = object {
         intersection {
            box {<-.2, -.3, 0> <.6, Height_Lower - Border, 1>}
            plane {y, -Border rotate Angle * z}
            plane {y, -StrokeWidth + Border inverse rotate Angle * z}
            plane {y, HookExtension_Y rotate (90 + Angle) * z}
         } //intersection
      } //object
      #local LeftSide = object {
         intersection {
            box {<.15, 0, 0> <-.6, Height_Lower - Border, 1>}
            plane {y, Border inverse rotate -Angle * z}
            plane {y, StrokeWidth - Border rotate -Angle * z}
         } //intersection
      } //object
      union {
         object {Stem}
         object {Hook translate <X2 - X3, Y2 - Y3, 0>}
         object {LeftSide}
      } //union
      translate W2 * x
   } //object

   #declare CharacterWidth = W1 + W2 * 2;

#end //#macro MakeY2

#macro MakeZ2 (Border)

   #local Height = Height_Lower;
   #local Width = Height_Lower * .85;

   MakeGenericZ (Border, Height, Width)

#end //#macro MakeZ2
